VirtualBox

Ticket #19373 (new defect)

Opened 21 months ago

Last modified 4 weeks ago

VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138 => Fixed in SVN

Reported by: fbatschu Owned by:
Component: guest additions Version: VirtualBox 6.1.4
Keywords: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES linux Cc:
Guest type: Linux Host type: other

Description (last modified by fbatschu) (diff)

Since Vbox version 6.1.4 we find the following error on Linux guests with the 6.1.4 GAs installed when the guest modules get loaded during boot.

[ 386.591934] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[ 390.244395] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138

I've not yet observed whether or not that has implications and indicates a deeper bug.

Change History

comment:1 Changed 21 months ago by fbatschu

On the host side, we find the following corresponding entry in the Vbox.log file:

00:03:04.354676 VMMDev: Guest Log: vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
00:03:04.357800 VMMDev: Guest Log: vboxsf: Successfully loaded version 6.1.4 on 5.3.0-40-generic SMP mod_unload  (LINUX_VERSION_CODE=0x50312)
00:03:04.359916 VMMDev: Guest Log: 13:13:17.942383 automount vbsvcAutomounterMountIt: Successfully mounted 'Downloads' on '/media/sf_Downloads'
00:03:04.365078 VMMDev: Guest Log: 13:13:17.947639 automount vbsvcAutomounterMountIt: Successfully mounted 'Music' on '/media/sf_Music'
00:03:11.952472 Display::i_handleDisplayResize: uScreenId=0 pvVRAM=0000000000000000 w=800 h=600 bpp=0 cbLine=0x0 flags=0x2 origin=0,0
00:03:11.956672 Display::i_handleDisplayResize: uScreenId=0 pvVRAM=00007fa5d1844000 w=1208 h=806 bpp=32 cbLine=0x12E0 flags=0x1 origin=0,0
00:03:11.964715 GUI: UIMachineLogic: Guest-screen count changed  
00:03:12.290090 GUI: UIMachineView::sltPerformGuestResize: Sending guest size-hint to screen 0 as 1208x806 if necessary
00:06:02.897295 VMMDev: Guest Additions capability report: (0x4 -> 0x5) seamless: yes, hostWindowMapping: no, graphics: yes
00:06:02.897712 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:06:02.897782 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:06:02.897825 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:06:02.897837 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=0, Machine-state=5
00:06:02.930786 VMMDev: Guest Log: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
00:06:07.188610 Audio: Disabling input for driver 'PulseAudio'  
00:06:07.190167 Audio Mixer: Setting recording source of sink '[Recording] Line In' to '<None>'
00:06:07.190410 PulseAudio: Retrieving server information ...  
00:06:07.199083 PulseAudio: Retrieving server information ...  
00:06:07.201482 Audio: Enabling input for driver 'PulseAudio'  
00:06:07.204601 Audio Mixer: Setting recording source of sink '[Recording] Line In' to '[Line-In] PulseAudio'
00:06:07.810780 VMMDev: Guest Log: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
00:06:30.031861 GUI: UIMediumEnumerator: Medium with key={{4e9b083d-aaf1-483e-a6d9-9fe3cd42b37c}} created  
00:06:30.035342 Changing the VM state from 'RUNNING' to 'SUSPENDING'  

comment:2 Changed 21 months ago by fbatschu

  • Description modified (diff)

comment:3 Changed 21 months ago by fbatschu

NB: I have also seen this warning with a Linux guest running onlt 6.1.2 GAs and the host running 6.1.4 bits.

comment:4 Changed 17 months ago by fbatschu

another instance of this can be observed with 6.1.12 in ticket #19725 https://www.virtualbox.org/attachment/ticket/19725/VBox.log

comment:5 Changed 6 weeks ago by jruzicka

This is case with VirtualBox 6.1.28 with associated Guest Additions(6.1.28 r147628). After login, system log receives every 5 seconds entry:

kernel: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138

guest: Linux 5.14.13-200.fc34.x86_64

running: GNOME

host: Win 10

comment:6 follow-up: ↓ 7 Changed 6 weeks ago by galitsyn

Hi Guys,

Could you please confirm that Additions package which come with your Linux distribution is not installed? VirtualBox Guest Additions package which comes with Fedora distribution start VBoxDRMClient process on early boot. Therefore, if, somehow, official Additions and F34 one are installed both -- this might result in such behavior.

comment:7 in reply to: ↑ 6 Changed 6 weeks ago by jruzicka

Replying to galitsyn:

Hi

This seems to be the case. The dnf shows virtualbox-guest-additions.x86_64 6.1.26-1.fc34 installed, but I run the Virtual ISO installation of 6.1.28 .

Can you suggest way to fix this situation?

comment:8 Changed 6 weeks ago by galitsyn

Hi jruzicka,

It depends on your preference. One of the options would be to uninstall virtualbox-guest-additions.x86_64 6.1.26-1.fc34 package and (might be not needed) to reconfigure official additions with sudo rcvboxadd setup (+ reboot guest). Or remove official ones sudo /opt/VBoxGuestAdditions-6.1.28/uninstall.sh.

Last edited 6 weeks ago by galitsyn (previous) (diff)

comment:9 Changed 6 weeks ago by jruzicka

The dnf remove virtualbox-guest-additions (followed by reinstall from Additions ISO and restart) did not do the trick, messages are continuing to be added to the syslog.

Last edited 6 weeks ago by jruzicka (previous) (diff)

comment:10 Changed 6 weeks ago by galitsyn

Hi jruzicka,

Could you please attach VBox.log in current state? Which Desktop Environment do you use inside guest? Could you please also attach ps -AF | grep -i vbox output? May be also having complete dmesg output can help to understand the case.

comment:11 Changed 5 weeks ago by ah08

Hi,

I'm having the same Problem, running Debian 11.1.0 with Xfce desktop on virtualbox version 6.1.28 r147628 (Qt5.6.2), no extension pack.

Here is the VBox.log:

00:00:03.810997 VirtualBox VM 6.1.28 r147628 win.amd64 (Oct 18 2021 18:49:03) release log
00:00:03.811001 Log opened 2021-10-31T22:14:03.329751900Z
00:00:03.811002 Build Type: release
00:00:03.811004 OS Product: Windows 10
00:00:03.811005 OS Release: 10.0.19042
00:00:03.811006 OS Service Pack: 
00:00:04.579531 DMI Product Name: Latitude 5580
00:00:04.582938 DMI Product Version: 
00:00:04.582948 Firmware type: UEFI
00:00:04.584126 Secure Boot: VERR_PRIVILEGE_NOT_HELD
00:00:04.584143 Host RAM: 16264MB (15.8GB) total, 8654MB (8.4GB) available
00:00:04.584146 Executable: C:\Program Files\Oracle\VirtualBox\VirtualBoxVM.exe
00:00:04.584146 Process ID: 16188
00:00:04.584147 Package type: WINDOWS_64BITS_GENERIC
00:00:04.585088 Installed Extension Packs:
00:00:04.585110   None installed!
00:00:04.585706 Console: Machine state changed to 'Starting'
00:00:04.585882 Qt version: 5.6.2
00:00:04.587609 GUI: UIMediumEnumerator: Medium-enumeration finished!
00:00:04.721221 SUP: Opened VMMR0.r0 (C:\Program Files\Oracle\VirtualBox\VMMR0.r0) at 0xXXXXXXXXXXXXXXXX loaded by the native ring-0 loader.
00:00:04.721246 SUP: windbg> .reload /f C:\Program Files\Oracle\VirtualBox\VMMR0.r0=0xXXXXXXXXXXXXXXXX
00:00:04.722203 Guest OS type: 'Debian'
00:00:04.722816 fHMForced=true - No raw-mode support in this build!
00:00:04.726893 File system of 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Snapshots' (snapshots) is unknown
00:00:04.726910 File system of 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky.vmdk' is ntfs
00:00:04.758566 Shared Clipboard: Service loaded
00:00:04.758588 Shared Clipboard: Mode: Bidirectional
00:00:04.758640 Shared Clipboard: Service running in normal mode
00:00:04.785825 Drag and drop service loaded
00:00:04.785846 Drag and drop mode: Bidirectional
00:00:04.787763 ************************* CFGM dump *************************
00:00:04.787764 [/] (level 0)
00:00:04.787766   CpuExecutionCap   <integer> = 0x0000000000000064 (100)
00:00:04.787768   EnablePAE         <integer> = 0x0000000000000000 (0)
00:00:04.787769   HMEnabled         <integer> = 0x0000000000000001 (1)
00:00:04.787770   MemBalloonSize    <integer> = 0x0000000000000000 (0)
00:00:04.787770   Name              <string>  = "Debian 11.1r0 12GB Xfce - beaky" (cb=32)
00:00:04.787771   NumCPUs           <integer> = 0x0000000000000002 (2)
00:00:04.787772   PageFusionAllowed <integer> = 0x0000000000000000 (0)
00:00:04.787773   RamHoleSize       <integer> = 0x0000000020000000 (536 870 912, 512 MB)
00:00:04.787774   RamSize           <integer> = 0x0000000040000000 (1 073 741 824, 1 024 MB)
00:00:04.787775   TimerMillies      <integer> = 0x000000000000000a (10)
00:00:04.787776   UUID              <bytes>   = "9f 36 f5 f5 56 1b f6 4d b0 ff 34 dd 00 8d a1 47" (cb=16)
00:00:04.787781 
00:00:04.787781 [/CPUM/] (level 1)
00:00:04.787782   GuestCpuName       <string>  = "host" (cb=5)
00:00:04.787783   NestedHWVirt       <integer> = 0x0000000000000000 (0)
00:00:04.787783   PortableCpuIdLevel <integer> = 0x0000000000000000 (0)
00:00:04.787784   SpecCtrl           <integer> = 0x0000000000000000 (0)
00:00:04.787784 
00:00:04.787785 [/CPUM/IsaExts/] (level 2)
00:00:04.787786 
00:00:04.787786 [/DBGC/] (level 1)
00:00:04.787786   GlobalInitScript <string>  = "C:\Users\andreas.harnack\.VirtualBox/dbgc-init" (cb=47)
00:00:04.787787   HistoryFile      <string>  = "C:\Users\andreas.harnack\.VirtualBox/dbgc-history" (cb=50)
00:00:04.787788   LocalInitScript  <string>  = "C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky/dbgc-init" (cb=62)
00:00:04.787788 
00:00:04.787789 [/DBGF/] (level 1)
00:00:04.787789   Path <string>  = "C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky/debug/;C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky/;cache*C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky/dbgcache/;C:\Users\andreas.harnack\" (cb=206)
00:00:04.787790 
00:00:04.787790 [/Devices/] (level 1)
00:00:04.787791 
00:00:04.787791 [/Devices/8237A/] (level 2)
00:00:04.787791 
00:00:04.787792 [/Devices/8237A/0/] (level 3)
00:00:04.787792   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787793 
00:00:04.787793 [/Devices/GIMDev/] (level 2)
00:00:04.787794 
00:00:04.787794 [/Devices/GIMDev/0/] (level 3)
00:00:04.787795   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787795 
00:00:04.787795 [/Devices/VMMDev/] (level 2)
00:00:04.787796 
00:00:04.787796 [/Devices/VMMDev/0/] (level 3)
00:00:04.787797   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787798   PCIDeviceNo   <integer> = 0x0000000000000004 (4)
00:00:04.787798   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787799   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787799 
00:00:04.787800 [/Devices/VMMDev/0/Config/] (level 4)
00:00:04.787800   GuestCoreDumpDir <string>  = "C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Snapshots" (cb=62)
00:00:04.787801 
00:00:04.787801 [/Devices/VMMDev/0/LUN#0/] (level 4)
00:00:04.787802   Driver <string>  = "HGCM" (cb=5)
00:00:04.787803 
00:00:04.787803 [/Devices/VMMDev/0/LUN#0/Config/] (level 5)
00:00:04.787804   Object <integer> = 0x0000000006cbda80 (114 023 040)
00:00:04.787805 
00:00:04.787805 [/Devices/VMMDev/0/LUN#999/] (level 4)
00:00:04.787806   Driver <string>  = "MainStatus" (cb=11)
00:00:04.787806 
00:00:04.787806 [/Devices/VMMDev/0/LUN#999/Config/] (level 5)
00:00:04.787808   First   <integer> = 0x0000000000000000 (0)
00:00:04.787808   Last    <integer> = 0x0000000000000000 (0)
00:00:04.787809   papLeds <integer> = 0x000000000240b3b8 (37 794 744)
00:00:04.787810 
00:00:04.787810 [/Devices/acpi/] (level 2)
00:00:04.787810 
00:00:04.787811 [/Devices/acpi/0/] (level 3)
00:00:04.787811   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787812   PCIDeviceNo   <integer> = 0x0000000000000007 (7)
00:00:04.787812   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787813   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787813 
00:00:04.787814 [/Devices/acpi/0/Config/] (level 4)
00:00:04.787815   CpuHotPlug          <integer> = 0x0000000000000000 (0)
00:00:04.787815   FdcEnabled          <integer> = 0x0000000000000000 (0)
00:00:04.787816   HostBusPciAddress   <integer> = 0x0000000000000000 (0)
00:00:04.787816   HpetEnabled         <integer> = 0x0000000000000000 (0)
00:00:04.787817   IOAPIC              <integer> = 0x0000000000000001 (1)
00:00:04.787817   IocPciAddress       <integer> = 0x0000000000010000 (65 536)
00:00:04.787818   NumCPUs             <integer> = 0x0000000000000002 (2)
00:00:04.787819   Parallel0IoPortBase <integer> = 0x0000000000000000 (0)
00:00:04.787819   Parallel0Irq        <integer> = 0x0000000000000000 (0)
00:00:04.787820   Parallel1IoPortBase <integer> = 0x0000000000000000 (0)
00:00:04.787820   Parallel1Irq        <integer> = 0x0000000000000000 (0)
00:00:04.787821   Serial0IoPortBase   <integer> = 0x0000000000000000 (0)
00:00:04.787822   Serial0Irq          <integer> = 0x0000000000000000 (0)
00:00:04.787822   Serial1IoPortBase   <integer> = 0x0000000000000000 (0)
00:00:04.787823   Serial1Irq          <integer> = 0x0000000000000000 (0)
00:00:04.787823   ShowCpu             <integer> = 0x0000000000000001 (1)
00:00:04.787824   ShowRtc             <integer> = 0x0000000000000000 (0)
00:00:04.787824   SmcEnabled          <integer> = 0x0000000000000000 (0)
00:00:04.787825 
00:00:04.787825 [/Devices/acpi/0/LUN#0/] (level 4)
00:00:04.787826   Driver <string>  = "ACPIHost" (cb=9)
00:00:04.787826 
00:00:04.787826 [/Devices/acpi/0/LUN#0/Config/] (level 5)
00:00:04.787827 
00:00:04.787827 [/Devices/acpi/0/LUN#1/] (level 4)
00:00:04.787828   Driver <string>  = "ACPICpu" (cb=8)
00:00:04.787828 
00:00:04.787829 [/Devices/acpi/0/LUN#1/Config/] (level 5)
00:00:04.787829 
00:00:04.787830 [/Devices/ahci/] (level 2)
00:00:04.787830 
00:00:04.787830 [/Devices/ahci/0/] (level 3)
00:00:04.787831   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787832   PCIDeviceNo   <integer> = 0x000000000000000d (13)
00:00:04.787832   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787833   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787833 
00:00:04.787834 [/Devices/ahci/0/Config/] (level 4)
00:00:04.787834   Bootable  <integer> = 0x0000000000000001 (1)
00:00:04.787835   PortCount <integer> = 0x0000000000000001 (1)
00:00:04.787835 
00:00:04.787836 [/Devices/ahci/0/Config/Port0/] (level 5)
00:00:04.787836   Hotpluggable <integer> = 0x0000000000000000 (0)
00:00:04.787837 
00:00:04.787837 [/Devices/ahci/0/LUN#0/] (level 4)
00:00:04.787838   Driver <string>  = "VD" (cb=3)
00:00:04.787838 
00:00:04.787839 [/Devices/ahci/0/LUN#0/Config/] (level 5)
00:00:04.787840   BlockCache <integer> = 0x0000000000000001 (1)
00:00:04.787840   Format     <string>  = "VMDK" (cb=5)
00:00:04.787841   Mountable  <integer> = 0x0000000000000000 (0)
00:00:04.787841   Path       <string>  = "C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky.vmdk" (cb=89)
00:00:04.787842   Type       <string>  = "HardDisk" (cb=9)
00:00:04.787842   UseNewIo   <integer> = 0x0000000000000001 (1)
00:00:04.787843 
00:00:04.787843 [/Devices/ahci/0/LUN#999/] (level 4)
00:00:04.787844   Driver <string>  = "MainStatus" (cb=11)
00:00:04.787844 
00:00:04.787845 [/Devices/ahci/0/LUN#999/Config/] (level 5)
00:00:04.787846   DeviceInstance        <string>  = "ahci/0" (cb=7)
00:00:04.787846   First                 <integer> = 0x0000000000000000 (0)
00:00:04.787847   Last                  <integer> = 0x0000000000000000 (0)
00:00:04.787848   pConsole              <integer> = 0x0000000002409fc0 (37 789 632)
00:00:04.787849   papLeds               <integer> = 0x000000000240a7c0 (37 791 680)
00:00:04.787849   pmapMediumAttachments <integer> = 0x000000000240b3d8 (37 794 776)
00:00:04.787850 
00:00:04.787850 [/Devices/apic/] (level 2)
00:00:04.787851 
00:00:04.787851 [/Devices/apic/0/] (level 3)
00:00:04.787852   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787852 
00:00:04.787852 [/Devices/apic/0/Config/] (level 4)
00:00:04.787853   IOAPIC  <integer> = 0x0000000000000001 (1)
00:00:04.787854   Mode    <integer> = 0x0000000000000003 (3)
00:00:04.787854   NumCPUs <integer> = 0x0000000000000002 (2)
00:00:04.787855 
00:00:04.787855 [/Devices/e1000/] (level 2)
00:00:04.787855 
00:00:04.787856 [/Devices/e1000/0/] (level 3)
00:00:04.787856   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787857   PCIDeviceNo   <integer> = 0x0000000000000003 (3)
00:00:04.787857   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787858   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787858 
00:00:04.787859 [/Devices/e1000/0/Config/] (level 4)
00:00:04.787859   AdapterType    <integer> = 0x0000000000000000 (0)
00:00:04.787860   CableConnected <integer> = 0x0000000000000001 (1)
00:00:04.787860   LineSpeed      <integer> = 0x0000000000000000 (0)
00:00:04.787861   MAC            <bytes>   = "08 00 27 07 e2 f1" (cb=6)
00:00:04.787862 
00:00:04.787862 [/Devices/e1000/0/LUN#0/] (level 4)
00:00:04.787863   Driver <string>  = "IntNet" (cb=7)
00:00:04.787863 
00:00:04.787864 [/Devices/e1000/0/LUN#0/Config/] (level 5)
00:00:04.787864   IfPolicyPromisc <string>  = "deny" (cb=5)
00:00:04.787865   Network         <string>  = "elf-network" (cb=12)
00:00:04.787865   TrunkType       <integer> = 0x0000000000000002 (2)
00:00:04.787866 
00:00:04.787866 [/Devices/e1000/0/LUN#999/] (level 4)
00:00:04.787867   Driver <string>  = "MainStatus" (cb=11)
00:00:04.787867 
00:00:04.787868 [/Devices/e1000/0/LUN#999/Config/] (level 5)
00:00:04.787868   First   <integer> = 0x0000000000000000 (0)
00:00:04.787869   Last    <integer> = 0x0000000000000000 (0)
00:00:04.787869   papLeds <integer> = 0x000000000240b298 (37 794 456)
00:00:04.787870 
00:00:04.787870 [/Devices/i8254/] (level 2)
00:00:04.787871 
00:00:04.787871 [/Devices/i8254/0/] (level 3)
00:00:04.787872 
00:00:04.787872 [/Devices/i8254/0/Config/] (level 4)
00:00:04.787873 
00:00:04.787873 [/Devices/i8259/] (level 2)
00:00:04.787874 
00:00:04.787874 [/Devices/i8259/0/] (level 3)
00:00:04.787874   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787875 
00:00:04.787875 [/Devices/i8259/0/Config/] (level 4)
00:00:04.787876 
00:00:04.787876 [/Devices/ichac97/] (level 2)
00:00:04.787876 
00:00:04.787877 [/Devices/ichac97/0/] (level 3)
00:00:04.787877   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787878   PCIDeviceNo   <integer> = 0x0000000000000005 (5)
00:00:04.787878   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787879   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787879 
00:00:04.787879 [/Devices/ichac97/0/AudioConfig/] (level 4)
00:00:04.787880 
00:00:04.787881 [/Devices/ichac97/0/Config/] (level 4)
00:00:04.787881   Codec        <string>  = "AD1980" (cb=7)
00:00:04.787882   DebugEnabled <integer> = 0x0000000000000000 (0)
00:00:04.787882 
00:00:04.787882 [/Devices/ichac97/0/LUN#0/] (level 4)
00:00:04.787883   Driver <string>  = "AUDIO" (cb=6)
00:00:04.787884 
00:00:04.787884 [/Devices/ichac97/0/LUN#0/AttachedDriver/] (level 5)
00:00:04.787885   Driver <string>  = "HostAudioWas" (cb=13)
00:00:04.787885 
00:00:04.787885 [/Devices/ichac97/0/LUN#0/AttachedDriver/Config/] (level 6)
00:00:04.787886   VmName <string>  = "Debian 11.1r0 12GB Xfce - beaky" (cb=32)
00:00:04.787887   VmUuid <string>  = "f5f5369f-1b56-4df6-b0ff-34dd008da147" (cb=37)
00:00:04.787887 
00:00:04.787887 [/Devices/ichac97/0/LUN#0/Config/] (level 5)
00:00:04.787888   DriverName    <string>  = "HostAudioWas" (cb=13)
00:00:04.787889   InputEnabled  <integer> = 0x0000000000000000 (0)
00:00:04.787889   OutputEnabled <integer> = 0x0000000000000001 (1)
00:00:04.787890 
00:00:04.787890 [/Devices/ichac97/0/LUN#1/] (level 4)
00:00:04.787891   Driver <string>  = "AUDIO" (cb=6)
00:00:04.787891 
00:00:04.787891 [/Devices/ichac97/0/LUN#2/] (level 4)
00:00:04.787892   Driver <string>  = "AUDIO" (cb=6)
00:00:04.787892 
00:00:04.787893 [/Devices/ioapic/] (level 2)
00:00:04.787893 
00:00:04.787893 [/Devices/ioapic/0/] (level 3)
00:00:04.787894   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787895 
00:00:04.787895 [/Devices/ioapic/0/Config/] (level 4)
00:00:04.787895   NumCPUs <integer> = 0x0000000000000002 (2)
00:00:04.787896 
00:00:04.787896 [/Devices/mc146818/] (level 2)
00:00:04.787897 
00:00:04.787897 [/Devices/mc146818/0/] (level 3)
00:00:04.787898 
00:00:04.787898 [/Devices/mc146818/0/Config/] (level 4)
00:00:04.787898   UseUTC <integer> = 0x0000000000000001 (1)
00:00:04.787899 
00:00:04.787899 [/Devices/parallel/] (level 2)
00:00:04.787900 
00:00:04.787900 [/Devices/pcarch/] (level 2)
00:00:04.787901 
00:00:04.787901 [/Devices/pcarch/0/] (level 3)
00:00:04.787901   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787902 
00:00:04.787902 [/Devices/pcarch/0/Config/] (level 4)
00:00:04.787903 
00:00:04.787903 [/Devices/pcbios/] (level 2)
00:00:04.787903 
00:00:04.787904 [/Devices/pcbios/0/] (level 3)
00:00:04.787904   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787905 
00:00:04.787905 [/Devices/pcbios/0/Config/] (level 4)
00:00:04.787906   APIC               <integer> = 0x0000000000000001 (1)
00:00:04.787907   BootDevice0        <string>  = "IDE" (cb=4)
00:00:04.787908   BootDevice1        <string>  = "NONE" (cb=5)
00:00:04.787908   BootDevice2        <string>  = "NONE" (cb=5)
00:00:04.787909   BootDevice3        <string>  = "NONE" (cb=5)
00:00:04.787909   FloppyDevice       <string>  = "i82078" (cb=7)
00:00:04.787909   HardDiskDevice     <string>  = "piix3ide" (cb=9)
00:00:04.787910   IOAPIC             <integer> = 0x0000000000000001 (1)
00:00:04.787911   McfgBase           <integer> = 0x0000000000000000 (0)
00:00:04.787911   McfgLength         <integer> = 0x0000000000000000 (0)
00:00:04.787912   NumCPUs            <integer> = 0x0000000000000002 (2)
00:00:04.787912   PXEDebug           <integer> = 0x0000000000000000 (0)
00:00:04.787913   SataHardDiskDevice <string>  = "ahci" (cb=5)
00:00:04.787913   SataLUN1           <integer> = 0x0000000000000000 (0)
00:00:04.787914   UUID               <bytes>   = "9f 36 f5 f5 56 1b f6 4d b0 ff 34 dd 00 8d a1 47" (cb=16)
00:00:04.787915   UuidLe             <integer> = 0x0000000000000001 (1)
00:00:04.787916 
00:00:04.787916 [/Devices/pcbios/0/Config/NetBoot/] (level 5)
00:00:04.787917 
00:00:04.787918 [/Devices/pcbios/0/Config/NetBoot/0/] (level 6)
00:00:04.787918   NIC           <integer> = 0x0000000000000000 (0)
00:00:04.787919   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787920   PCIDeviceNo   <integer> = 0x0000000000000003 (3)
00:00:04.787920   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787921 
00:00:04.787921 [/Devices/pci/] (level 2)
00:00:04.787921 
00:00:04.787922 [/Devices/pci/0/] (level 3)
00:00:04.787922   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787923 
00:00:04.787923 [/Devices/pci/0/Config/] (level 4)
00:00:04.787924   IOAPIC <integer> = 0x0000000000000001 (1)
00:00:04.787924 
00:00:04.787924 [/Devices/pcibridge/] (level 2)
00:00:04.787925 
00:00:04.787925 [/Devices/pckbd/] (level 2)
00:00:04.787926 
00:00:04.787926 [/Devices/pckbd/0/] (level 3)
00:00:04.787927   Trusted <integer> = 0x0000000000000001 (1)
00:00:04.787927 
00:00:04.787927 [/Devices/pckbd/0/Config/] (level 4)
00:00:04.787928 
00:00:04.787928 [/Devices/pckbd/0/LUN#0/] (level 4)
00:00:04.787929   Driver <string>  = "KeyboardQueue" (cb=14)
00:00:04.787929 
00:00:04.787930 [/Devices/pckbd/0/LUN#0/AttachedDriver/] (level 5)
00:00:04.787930   Driver <string>  = "MainKeyboard" (cb=13)
00:00:04.787931 
00:00:04.787931 [/Devices/pckbd/0/LUN#0/AttachedDriver/Config/] (level 6)
00:00:04.787932   Object <integer> = 0x00000000022626d0 (36 054 736)
00:00:04.787933 
00:00:04.787933 [/Devices/pckbd/0/LUN#0/Config/] (level 5)
00:00:04.787934   QueueSize <integer> = 0x0000000000000040 (64)
00:00:04.787934 
00:00:04.787935 [/Devices/pckbd/0/LUN#1/] (level 4)
00:00:04.787938   Driver <string>  = "MouseQueue" (cb=11)
00:00:04.787939 
00:00:04.787939 [/Devices/pckbd/0/LUN#1/AttachedDriver/] (level 5)
00:00:04.787940   Driver <string>  = "MainMouse" (cb=10)
00:00:04.787958 
00:00:04.787958 [/Devices/pckbd/0/LUN#1/AttachedDriver/Config/] (level 6)
00:00:04.787959   Object <integer> = 0x000000000240c1c0 (37 798 336)
00:00:04.787960 
00:00:04.787960 [/Devices/pckbd/0/LUN#1/Config/] (level 5)
00:00:04.787961   QueueSize <integer> = 0x0000000000000080 (128)
00:00:04.787962 
00:00:04.787963 [/Devices/pcnet/] (level 2)
00:00:04.787963 
00:00:04.787964 [/Devices/piix3ide/] (level 2)
00:00:04.787964 
00:00:04.787965 [/Devices/piix3ide/0/] (level 3)
00:00:04.787966   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787967   PCIDeviceNo   <integer> = 0x0000000000000001 (1)
00:00:04.787967   PCIFunctionNo <integer> = 0x0000000000000001 (1)
00:00:04.787968   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787969 
00:00:04.787969 [/Devices/piix3ide/0/Config/] (level 4)
00:00:04.787970   Type <string>  = "PIIX4" (cb=6)
00:00:04.787971 
00:00:04.787971 [/Devices/piix3ide/0/LUN#2/] (level 4)
00:00:04.787972   Driver <string>  = "VD" (cb=3)
00:00:04.787973 
00:00:04.787973 [/Devices/piix3ide/0/LUN#2/Config/] (level 5)
00:00:04.787974   EmptyDrive <integer> = 0x0000000000000001 (1)
00:00:04.787975   Mountable  <integer> = 0x0000000000000001 (1)
00:00:04.787975   Type       <string>  = "DVD" (cb=4)
00:00:04.787976 
00:00:04.787976 [/Devices/piix3ide/0/LUN#999/] (level 4)
00:00:04.787977   Driver <string>  = "MainStatus" (cb=11)
00:00:04.787978 
00:00:04.787978 [/Devices/piix3ide/0/LUN#999/Config/] (level 5)
00:00:04.787979   DeviceInstance        <string>  = "piix3ide/0" (cb=11)
00:00:04.787980   First                 <integer> = 0x0000000000000000 (0)
00:00:04.787981   Last                  <integer> = 0x0000000000000003 (3)
00:00:04.787982   pConsole              <integer> = 0x0000000002409fc0 (37 789 632)
00:00:04.787984   papLeds               <integer> = 0x000000000240a7a0 (37 791 648)
00:00:04.787985   pmapMediumAttachments <integer> = 0x000000000240b3d8 (37 794 776)
00:00:04.787986 
00:00:04.787986 [/Devices/serial/] (level 2)
00:00:04.787987 
00:00:04.787987 [/Devices/usb-ohci/] (level 2)
00:00:04.787988 
00:00:04.787988 [/Devices/usb-ohci/0/] (level 3)
00:00:04.787989   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.787990   PCIDeviceNo   <integer> = 0x0000000000000006 (6)
00:00:04.787991   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.787991   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.787992 
00:00:04.787992 [/Devices/usb-ohci/0/Config/] (level 4)
00:00:04.787993 
00:00:04.787993 [/Devices/usb-ohci/0/LUN#0/] (level 4)
00:00:04.787994   Driver <string>  = "VUSBRootHub" (cb=12)
00:00:04.787995 
00:00:04.787995 [/Devices/usb-ohci/0/LUN#0/Config/] (level 5)
00:00:04.787996 
00:00:04.787997 [/Devices/usb-ohci/0/LUN#999/] (level 4)
00:00:04.787998   Driver <string>  = "MainStatus" (cb=11)
00:00:04.787998 
00:00:04.787998 [/Devices/usb-ohci/0/LUN#999/Config/] (level 5)
00:00:04.787999   First   <integer> = 0x0000000000000000 (0)
00:00:04.788000   Last    <integer> = 0x0000000000000000 (0)
00:00:04.788001   papLeds <integer> = 0x000000000240b3c0 (37 794 752)
00:00:04.788002 
00:00:04.788002 [/Devices/vga/] (level 2)
00:00:04.788003 
00:00:04.788003 [/Devices/vga/0/] (level 3)
00:00:04.788004   PCIBusNo      <integer> = 0x0000000000000000 (0)
00:00:04.788005   PCIDeviceNo   <integer> = 0x0000000000000002 (2)
00:00:04.788006   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:04.788006   Trusted       <integer> = 0x0000000000000001 (1)
00:00:04.788007 
00:00:04.788007 [/Devices/vga/0/Config/] (level 4)
00:00:04.788008   3DEnabled          <integer> = 0x0000000000000000 (0)
00:00:04.788009   CustomVideoModes   <integer> = 0x0000000000000000 (0)
00:00:04.788010   FadeIn             <integer> = 0x0000000000000001 (1)
00:00:04.788011   FadeOut            <integer> = 0x0000000000000001 (1)
00:00:04.788012   HeightReduction    <integer> = 0x0000000000000000 (0)
00:00:04.788013   LogoFile           <string>  = "" (cb=1)
00:00:04.788014   LogoTime           <integer> = 0x0000000000000000 (0)
00:00:04.788015   MonitorCount       <integer> = 0x0000000000000001 (1)
00:00:04.788016   ShowBootMenu       <integer> = 0x0000000000000002 (2)
00:00:04.788016   VMSVGA3dEnabled    <integer> = 0x0000000000000000 (0)
00:00:04.788017   VMSVGAEnabled      <integer> = 0x0000000000000001 (1)
00:00:04.788018   VMSVGAPciBarLayout <integer> = 0x0000000000000001 (1)
00:00:04.788019   VMSVGAPciId        <integer> = 0x0000000000000001 (1)
00:00:04.788020   VRamSize           <integer> = 0x0000000001000000 (16 777 216, 16 MB)
00:00:04.788021 
00:00:04.788021 [/Devices/vga/0/LUN#0/] (level 4)
00:00:04.788022   Driver <string>  = "MainDisplay" (cb=12)
00:00:04.788023 
00:00:04.788023 [/Devices/vga/0/LUN#0/Config/] (level 5)
00:00:04.788024   Object <integer> = 0x000000000240c9b0 (37 800 368)
00:00:04.788025 
00:00:04.788025 [/Devices/vga/0/LUN#999/] (level 4)
00:00:04.788026   Driver <string>  = "MainStatus" (cb=11)
00:00:04.788027 
00:00:04.788027 [/Devices/vga/0/LUN#999/Config/] (level 5)
00:00:04.788028   First   <integer> = 0x0000000000000000 (0)
00:00:04.788029   Last    <integer> = 0x0000000000000000 (0)
00:00:04.788029   papLeds <integer> = 0x000000000240b3d0 (37 794 768)
00:00:04.788030 
00:00:04.788031 [/Devices/virtio-net/] (level 2)
00:00:04.788031 
00:00:04.788032 [/EM/] (level 1)
00:00:04.788032   TripleFaultReset <integer> = 0x0000000000000000 (0)
00:00:04.788033 
00:00:04.788033 [/GIM/] (level 1)
00:00:04.788034   Provider <string>  = "KVM" (cb=4)
00:00:04.788035 
00:00:04.788035 [/HM/] (level 1)
00:00:04.788036   64bitEnabled            <integer> = 0x0000000000000000 (0)
00:00:04.788037   EnableLargePages        <integer> = 0x0000000000000001 (1)
00:00:04.788038   EnableNestedPaging      <integer> = 0x0000000000000001 (1)
00:00:04.788039   EnableUX                <integer> = 0x0000000000000001 (1)
00:00:04.788040   EnableVPID              <integer> = 0x0000000000000001 (1)
00:00:04.788041   Exclusive               <integer> = 0x0000000000000000 (0)
00:00:04.788042   HMForced                <integer> = 0x0000000000000001 (1)
00:00:04.788043   IBPBOnVMEntry           <integer> = 0x0000000000000000 (0)
00:00:04.788044   IBPBOnVMExit            <integer> = 0x0000000000000000 (0)
00:00:04.788045   L1DFlushOnSched         <integer> = 0x0000000000000001 (1)
00:00:04.788046   L1DFlushOnVMEntry       <integer> = 0x0000000000000000 (0)
00:00:04.788047   LovelyMesaDrvWorkaround <integer> = 0x0000000000000001 (1)
00:00:04.788048   MDSClearOnSched         <integer> = 0x0000000000000001 (1)
00:00:04.788049   MDSClearOnVMEntry       <integer> = 0x0000000000000000 (0)
00:00:04.788049   SpecCtrlByHost          <integer> = 0x0000000000000000 (0)
00:00:04.788050   UseNEMInstead           <integer> = 0x0000000000000000 (0)
00:00:04.788051 
00:00:04.788052 [/MM/] (level 1)
00:00:04.788052   CanUseLargerHeap <integer> = 0x0000000000000000 (0)
00:00:04.788053 
00:00:04.788053 [/NEM/] (level 1)
00:00:04.788054   Allow64BitGuests        <integer> = 0x0000000000000000 (0)
00:00:04.788055   LovelyMesaDrvWorkaround <integer> = 0x0000000000000001 (1)
00:00:04.788055 
00:00:04.788055 [/PDM/] (level 1)
00:00:04.788056 
00:00:04.788056 [/PDM/AsyncCompletion/] (level 2)
00:00:04.788057 
00:00:04.788057 [/PDM/AsyncCompletion/File/] (level 3)
00:00:04.788058 
00:00:04.788059 [/PDM/AsyncCompletion/File/BwGroups/] (level 4)
00:00:04.788059 
00:00:04.788060 [/PDM/BlkCache/] (level 2)
00:00:04.788060   CacheSize <integer> = 0x0000000000500000 (5 242 880, 5 MB)
00:00:04.788062 
00:00:04.788062 [/PDM/Devices/] (level 2)
00:00:04.788063 
00:00:04.788063 [/PDM/Drivers/] (level 2)
00:00:04.788064 
00:00:04.788064 [/PDM/Drivers/VBoxC/] (level 3)
00:00:04.788065   Path <string>  = "VBoxC" (cb=6)
00:00:04.788065 
00:00:04.788065 [/PDM/NetworkShaper/] (level 2)
00:00:04.788066 
00:00:04.788066 [/PDM/NetworkShaper/BwGroups/] (level 3)
00:00:04.788067 
00:00:04.788067 [/TM/] (level 1)
00:00:04.788068   UTCOffset <integer> = 0x0000000000000000 (0)
00:00:04.788069 
00:00:04.788069 [/USB/] (level 1)
00:00:04.788070 
00:00:04.788070 [/USB/HidMouse/] (level 2)
00:00:04.788071 
00:00:04.788071 [/USB/HidMouse/0/] (level 3)
00:00:04.788072 
00:00:04.788072 [/USB/HidMouse/0/Config/] (level 4)
00:00:04.788073   Mode <string>  = "absolute" (cb=9)
00:00:04.788073 
00:00:04.788073 [/USB/HidMouse/0/LUN#0/] (level 4)
00:00:04.788074   Driver <string>  = "MouseQueue" (cb=11)
00:00:04.788075 
00:00:04.788075 [/USB/HidMouse/0/LUN#0/AttachedDriver/] (level 5)
00:00:04.788076   Driver <string>  = "MainMouse" (cb=10)
00:00:04.788077 
00:00:04.788077 [/USB/HidMouse/0/LUN#0/AttachedDriver/Config/] (level 6)
00:00:04.788078   Object <integer> = 0x000000000240c1c0 (37 798 336)
00:00:04.788079 
00:00:04.788080 [/USB/HidMouse/0/LUN#0/Config/] (level 5)
00:00:04.788081   QueueSize <integer> = 0x0000000000000080 (128)
00:00:04.788082 
00:00:04.788082 [/USB/USBProxy/] (level 2)
00:00:04.788082 
00:00:04.788083 [/USB/USBProxy/GlobalConfig/] (level 3)
00:00:04.788084 
00:00:04.788085 ********************* End of CFGM dump **********************
00:00:04.788184 HM: HMR3Init: VT-x w/ nested paging and unrestricted guest execution hw support
00:00:04.788352 MM: cbHyperHeap=0x240000 (2359296)
00:00:04.791498 CPUM: fXStateHostMask=0x7; initial: 0x7; host XCR0=0x1f
00:00:04.792559 CPUM: Matched host CPU INTEL 0x6/0x9e/0x9 Intel_Core7_KabyLake with CPU DB entry 'Intel Core i7-6700K' (INTEL 0x6/0x5e/0x3 Intel_Core7_Skylake)
00:00:04.792623 CPUM: MXCSR_MASK=0xffff (host: 0xffff)
00:00:04.792639 CPUM: Microcode revision 0x000000D6
00:00:04.792656 CPUM: Changing leaf 13[0]: EBX=0x440 -> 0x340, ECX=0x440 -> 0x340
00:00:04.792669 CPUM: MSR/CPUID reconciliation insert: 0x0000010b IA32_FLUSH_CMD
00:00:04.792805 PGM: Host paging mode: AMD64+NX
00:00:04.792819 PGM: PGMPool: cMaxPages=768 (u64MaxPages=545)
00:00:04.792827 PGM: pgmR3PoolInit: cMaxPages=0x300 cMaxUsers=0x600 cMaxPhysExts=0x600 fCacheEnable=true 
00:00:04.801332 TM: GIP - u32Mode=3 (Invariant) u32UpdateHz=93 u32UpdateIntervalNS=10736000 enmUseTscDelta=2 (Practically Zero) fGetGipCpu=0x1b cCpus=8
00:00:04.801369 TM: GIP - u64CpuHz=2 903 996 454 (0xad177826)  SUPGetCpuHzFromGip => 2 903 996 454
00:00:04.801394 TM: GIP - CPU: iCpuSet=0x0 idCpu=0x0 idApic=0x0 iGipCpu=0x0 i64TSCDelta=0 enmState=3 u64CpuHz=2903996454(*) cErrors=0
00:00:04.801408 TM: GIP - CPU: iCpuSet=0x1 idCpu=0x1 idApic=0x1 iGipCpu=0x4 i64TSCDelta=0 enmState=3 u64CpuHz=2903996387(*) cErrors=0
00:00:04.801416 TM: GIP - CPU: iCpuSet=0x2 idCpu=0x2 idApic=0x2 iGipCpu=0x2 i64TSCDelta=0 enmState=3 u64CpuHz=2903992901(*) cErrors=0
00:00:04.801424 TM: GIP - CPU: iCpuSet=0x3 idCpu=0x3 idApic=0x3 iGipCpu=0x7 i64TSCDelta=0 enmState=3 u64CpuHz=2903996470(*) cErrors=0
00:00:04.801432 TM: GIP - CPU: iCpuSet=0x4 idCpu=0x4 idApic=0x4 iGipCpu=0x1 i64TSCDelta=0 enmState=3 u64CpuHz=2904009211(*) cErrors=0
00:00:04.801454 TM: GIP - CPU: iCpuSet=0x5 idCpu=0x5 idApic=0x5 iGipCpu=0x5 i64TSCDelta=0 enmState=3 u64CpuHz=2903996488(*) cErrors=0
00:00:04.801468 TM: GIP - CPU: iCpuSet=0x6 idCpu=0x6 idApic=0x6 iGipCpu=0x6 i64TSCDelta=0 enmState=3 u64CpuHz=2903996465(*) cErrors=0
00:00:04.801484 TM: GIP - CPU: iCpuSet=0x7 idCpu=0x7 idApic=0x7 iGipCpu=0x3 i64TSCDelta=0 enmState=3 u64CpuHz=2903995875(*) cErrors=0
00:00:04.801560 TM: cTSCTicksPerSecond=2 903 996 454 (0xad177826) enmTSCMode=1 (VirtTscEmulated)
00:00:04.801563 TM: TSCTiedToExecution=false TSCNotTiedToHalt=false
00:00:04.802361 EMR3Init: fIemExecutesAll=false fGuruOnTripleFault=true 
00:00:04.802782 IEM: TargetCpu=CURRENT, Microarch=Intel_Core7_KabyLake
00:00:04.802918 GIM: Using provider 'KVM' (Implementation version: 0)
00:00:04.802933 CPUM: SetGuestCpuIdFeature: Enabled Hypervisor Present bit
00:00:04.803030 AIOMgr: Default manager type is 'Async'
00:00:04.803040 AIOMgr: Default file backend is 'NonBuffered'
00:00:04.803261 BlkCache: Cache successfully initialized. Cache size is 5242880 bytes
00:00:04.803275 BlkCache: Cache commit interval is 10000 ms
00:00:04.803283 BlkCache: Cache commit threshold is 2621440 bytes
00:00:05.489794 PcBios: [SMP] BIOS with 2 CPUs
00:00:05.489823 PcBios: Using the 386+ BIOS image.
00:00:05.489890 PcBios: MPS table at 000e1300
00:00:05.492365 PcBios: fCheckShutdownStatusForSoftReset=true   fClearShutdownStatusOnHardReset=true 
00:00:05.523696 SUP: Opened VBoxDDR0.r0 (C:\Program Files\Oracle\VirtualBox\VBoxDDR0.r0) at 0xXXXXXXXXXXXXXXXX loaded by the native ring-0 loader.
00:00:05.523715 SUP: windbg> .reload /f C:\Program Files\Oracle\VirtualBox\VBoxDDR0.r0=0xXXXXXXXXXXXXXXXX
00:00:05.523977 CPUM: SetGuestCpuIdFeature: Enabled xAPIC
00:00:05.523991 CPUM: SetGuestCpuIdFeature: Enabled x2APIC
00:00:05.524211 IOAPIC: Using implementation 2.0! Chipset type ICH9
00:00:05.524285 PIT: mode=3 count=0x10000 (65536) - 18.20 Hz (ch=0)
00:00:05.524456 VMMDev: cbDefaultBudget: 266 478 400 (fe22340)
00:00:05.554692 Shared Folders service loaded
00:00:05.579675 Guest Control service loaded
00:00:05.609989 VGA: Using the 386+ BIOS image.
00:00:05.611767 DrvVD: Flushes will be ignored
00:00:05.611787 DrvVD: Async flushes will be passed to the disk
00:00:05.613820 VD: VDInit finished with VINF_SUCCESS
00:00:05.615476 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky.vmdk' (flags 00040723) created successfully
00:00:05.617039 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s001.vmdk' (flags 000c0723) created successfully
00:00:05.627811 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s002.vmdk' (flags 000c0723) created successfully
00:00:05.631877 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s003.vmdk' (flags 000c0723) created successfully
00:00:05.635684 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s004.vmdk' (flags 000c0723) created successfully
00:00:05.639885 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s005.vmdk' (flags 000c0723) created successfully
00:00:05.643465 AIOMgr: Endpoint for file 'C:\VirtualMaschines\Debian 11.1r0 12GB Xfce - beaky\Debian 11.1r0 12GB Xfce - beaky-s006.vmdk' (flags 000c0723) created successfully
00:00:05.646993 AIOMgr: Async flushes not supported
00:00:05.647446 AIOMgr: Async flushes not supported
00:00:05.647898 AIOMgr: Async flushes not supported
00:00:05.648347 AIOMgr: Async flushes not supported
00:00:05.648825 AIOMgr: Async flushes not supported
00:00:05.649298 AIOMgr: Async flushes not supported
00:00:05.649338 VD: Opening the disk took 36736651 ns
00:00:05.649418 AHCI: LUN#0: disk, PCHS=16383/16/63, total number of sectors 25126608
00:00:05.649623 AHCI#0: Reset the HBA
00:00:05.649638 VD#0: Cancelling all active requests
00:00:05.652361 PIIX3 ATA: LUN#0: no unit
00:00:05.652381 PIIX3 ATA: LUN#1: no unit
00:00:05.652437 DrvVD: Flushes will be ignored
00:00:05.652448 DrvVD: Async flushes will be passed to the disk
00:00:05.652489 PIIX3 ATA: LUN#2: CD/DVD, total number of sectors 0, passthrough disabled
00:00:05.652548 PIIX3 ATA: LUN#3: no unit
00:00:05.652571 PIIX3 ATA: Ctl#0: finished processing RESET
00:00:05.652594 PIIX3 ATA: Ctl#1: finished processing RESET
00:00:05.652669 E1000#0: Chip=82540EM LinkUpDelay=3000ms EthernetCRC=on GSO=enabled Itr=disabled ItrRx=enabled TID=disabled R0=enabled RC=disabled
00:00:05.652824 IntNet#0: szNetwork={elf-network} enmTrunkType=2 szTrunk={} fFlags=0x8000 cbRecv=325632 cbSend=196608 fIgnoreConnectFailure=false
00:00:05.653283 AC97: Using codec 'AD1980'
00:00:05.725079 Audio: Found 5 devices for driver 'WasAPI'
00:00:05.725100 Audio: Device 'Lautsprecher (Sennheiser USB headset)':
00:00:05.725101 Audio:   ID              = {0.0.0.00000000}.{28babc10-7b9a-4a3e-b266-3f1659e12dee}
00:00:05.725101 Audio:   Usage           = output
00:00:05.725102 Audio:   Flags           = DEFAULT_OUT
00:00:05.725102 Audio:   Input channels  = 0
00:00:05.725103 Audio:   Output channels = 2
00:00:05.725111 Audio: Device 'Lautsprecher (Sennheiser USB headset)':
00:00:05.725112 Audio:   ID              = {0.0.0.00000000}.{28babc10-7b9a-4a3e-b266-3f1659e12dee}
00:00:05.725112 Audio:   Usage           = output
00:00:05.725112 Audio:   Flags           = NONE
00:00:05.725113 Audio:   Input channels  = 0
00:00:05.725113 Audio:   Output channels = 2
00:00:05.725120 Audio: Device 'Speakers / Headphones (Realtek Audio)':
00:00:05.725121 Audio:   ID              = {0.0.0.00000000}.{8f608ca2-d273-4c8c-8cb2-e2bdb068dcd3}
00:00:05.725121 Audio:   Usage           = output
00:00:05.725121 Audio:   Flags           = NONE
00:00:05.725121 Audio:   Input channels  = 0
00:00:05.725122 Audio:   Output channels = 2
00:00:05.725129 Audio: Device 'Microphone (Sennheiser USB headset)':
00:00:05.725129 Audio:   ID              = {0.0.1.00000000}.{ae37feb5-230b-4de6-bcc5-09bb2ae96097}
00:00:05.725129 Audio:   Usage           = input
00:00:05.725130 Audio:   Flags           = DEFAULT_IN
00:00:05.725130 Audio:   Input channels  = 1
00:00:05.725130 Audio:   Output channels = 0
00:00:05.725137 Audio: Device 'Microphone (Sennheiser USB headset)':
00:00:05.725138 Audio:   ID              = {0.0.1.00000000}.{ae37feb5-230b-4de6-bcc5-09bb2ae96097}
00:00:05.725138 Audio:   Usage           = input
00:00:05.725138 Audio:   Flags           = NONE
00:00:05.725139 Audio:   Input channels  = 1
00:00:05.725139 Audio:   Output channels = 0
00:00:05.725324 AC97: Reset
00:00:05.725336 AC97: Mixer reset (EAID=0x809, EACS=0x9)
00:00:05.725345 AC97: Record select to left=mic, right=mic
00:00:05.725965 VUSB: Attached 'HidMouse' to port 1 on RootHub#0 (FullSpeed)
00:00:05.725998 PGM: The CPU physical address width is 39 bits
00:00:05.726011 PGM: PGMR3InitFinalize: 4 MB PSE mask 0000007fffffffff -> VINF_SUCCESS
00:00:05.726167 TM: TMR3InitFinalize: fTSCModeSwitchAllowed=true 
00:00:05.726314 VMM: Thread-context hooks unavailable
00:00:05.726326 VMM: RTThreadPreemptIsPending() can be trusted
00:00:05.726336 VMM: Kernel preemption is possible
00:00:05.726372 HM: fWorldSwitcher=0x0 (fIbpbOnVmExit=false fIbpbOnVmEntry=false fL1dFlushOnVmEntry=false); fL1dFlushOnSched=true  fMdsClearOnVmEntry=false
00:00:05.726388 HM: Using VT-x implementation 3.0
00:00:05.726390 HM: Max resume loops                  = 8192
00:00:05.726391 HM: Host CR4                          = 0x370678
00:00:05.726392 HM: Host EFER                         = 0xd01
00:00:05.726393 HM: MSR_IA32_SMM_MONITOR_CTL          = 0x0
00:00:05.726393 HM: MSR_IA32_FEATURE_CONTROL          = 0x5
00:00:05.726394 HM:   LOCK
00:00:05.726394 HM:   VMXON
00:00:05.726394 HM: MSR_IA32_VMX_BASIC                = 0xda040000000004
00:00:05.726395 HM:   VMCS id                           = 0x4
00:00:05.726395 HM:   VMCS size                         = 1024 bytes
00:00:05.726396 HM:   VMCS physical address limit       = None
00:00:05.726396 HM:   VMCS memory type                  = Write Back (WB)
00:00:05.726397 HM:   Dual-monitor treatment support    = true 
00:00:05.726397 HM:   OUTS & INS instruction-info       = true 
00:00:05.726398 HM:   Supports true-capability MSRs     = true 
00:00:05.726398 HM:   VM-entry Xcpt error-code optional = false
00:00:05.726398 HM: MSR_IA32_VMX_PINBASED_CTLS        = 0x7f00000016
00:00:05.726399 HM:   EXT_INT_EXIT
00:00:05.726399 HM:   NMI_EXIT
00:00:05.726400 HM:   VIRTUAL_NMI
00:00:05.726400 HM:   PREEMPT_TIMER
00:00:05.726400 HM:   POSTED_INT (must be cleared)
00:00:05.726402 HM: MSR_IA32_VMX_PROCBASED_CTLS       = 0xfff9fffe0401e172
00:00:05.726403 HM:   INT_WINDOW_EXIT
00:00:05.726403 HM:   USE_TSC_OFFSETTING
00:00:05.726403 HM:   HLT_EXIT
00:00:05.726406 HM:   INVLPG_EXIT
00:00:05.726406 HM:   MWAIT_EXIT
00:00:05.726407 HM:   RDPMC_EXIT
00:00:05.726407 HM:   RDTSC_EXIT
00:00:05.726409 HM:   CR3_LOAD_EXIT (must be set)
00:00:05.726410 HM:   CR3_STORE_EXIT (must be set)
00:00:05.726410 HM:   CR8_LOAD_EXIT
00:00:05.726410 HM:   CR8_STORE_EXIT
00:00:05.726411 HM:   USE_TPR_SHADOW
00:00:05.726411 HM:   NMI_WINDOW_EXIT
00:00:05.726412 HM:   MOV_DR_EXIT
00:00:05.726412 HM:   UNCOND_IO_EXIT
00:00:05.726412 HM:   USE_IO_BITMAPS
00:00:05.726413 HM:   MONITOR_TRAP_FLAG
00:00:05.726413 HM:   USE_MSR_BITMAPS
00:00:05.726413 HM:   MONITOR_EXIT
00:00:05.726414 HM:   PAUSE_EXIT
00:00:05.726414 HM:   USE_SECONDARY_CTLS
00:00:05.726415 HM: MSR_IA32_VMX_PROCBASED_CTLS2      = 0x5ffcff00000000
00:00:05.726417 HM:   VIRT_APIC_ACCESS
00:00:05.726418 HM:   EPT
00:00:05.726418 HM:   DESC_TABLE_EXIT
00:00:05.726419 HM:   RDTSCP
00:00:05.726419 HM:   VIRT_X2APIC_MODE
00:00:05.726419 HM:   VPID
00:00:05.726419 HM:   WBINVD_EXIT
00:00:05.726420 HM:   UNRESTRICTED_GUEST
00:00:05.726420 HM:   APIC_REG_VIRT (must be cleared)
00:00:05.726421 HM:   VIRT_INT_DELIVERY (must be cleared)
00:00:05.726421 HM:   PAUSE_LOOP_EXIT
00:00:05.726421 HM:   RDRAND_EXIT
00:00:05.726422 HM:   INVPCID
00:00:05.726422 HM:   VMFUNC
00:00:05.726423 HM:   VMCS_SHADOWING
00:00:05.726423 HM:   ENCLS_EXIT
00:00:05.726423 HM:   RDSEED_EXIT
00:00:05.726424 HM:   PML
00:00:05.726424 HM:   EPT_VE
00:00:05.726424 HM:   CONCEAL_VMX_FROM_PT
00:00:05.726425 HM:   XSAVES_XRSTORS
00:00:05.726425 HM:   MODE_BASED_EPT_PERM
00:00:05.726426 HM:   SPPTP_EPT (must be cleared)
00:00:05.726426 HM:   PT_EPT (must be cleared)
00:00:05.726427 HM:   TSC_SCALING (must be cleared)
00:00:05.726427 HM:   USER_WAIT_PAUSE (must be cleared)
00:00:05.726428 HM:   ENCLV_EXIT (must be cleared)
00:00:05.726431 HM: MSR_IA32_VMX_ENTRY_CTLS           = 0x3ffff000011ff
00:00:05.726432 HM:   LOAD_DEBUG (must be set)
00:00:05.726432 HM:   IA32E_MODE_GUEST
00:00:05.726433 HM:   ENTRY_TO_SMM
00:00:05.726433 HM:   DEACTIVATE_DUAL_MON
00:00:05.726434 HM:   LOAD_PERF_MSR
00:00:05.726434 HM:   LOAD_PAT_MSR
00:00:05.726439 HM:   LOAD_EFER_MSR
00:00:05.726439 HM:   LOAD_BNDCFGS_MSR
00:00:05.726440 HM:   CONCEAL_VMX_FROM_PT
00:00:05.726440 HM:   LOAD_RTIT_CTL_MSR (must be cleared)
00:00:05.726440 HM: MSR_IA32_VMX_EXIT_CTLS            = 0x1ffffff00036dff
00:00:05.726441 HM:   SAVE_DEBUG (must be set)
00:00:05.726442 HM:   HOST_ADDR_SPACE_SIZE
00:00:05.726442 HM:   LOAD_PERF_MSR
00:00:05.726442 HM:   ACK_EXT_INT
00:00:05.726442 HM:   SAVE_PAT_MSR
00:00:05.726443 HM:   LOAD_PAT_MSR
00:00:05.726443 HM:   SAVE_EFER_MSR
00:00:05.726443 HM:   LOAD_EFER_MSR
00:00:05.726444 HM:   SAVE_PREEMPT_TIMER
00:00:05.726444 HM:   CLEAR_BNDCFGS_MSR
00:00:05.726444 HM:   CONCEAL_VMX_FROM_PT
00:00:05.726444 HM:   CLEAR_RTIT_CTL_MSR (must be cleared)
00:00:05.726445 HM: MSR_IA32_VMX_TRUE_PINBASED_CTLS   = 0x7f00000016
00:00:05.726446 HM: MSR_IA32_VMX_TRUE_PROCBASED_CTLS  = 0xfff9fffe04006172
00:00:05.726446 HM: MSR_IA32_VMX_TRUE_ENTRY_CTLS      = 0x3ffff000011fb
00:00:05.726447 HM: MSR_IA32_VMX_TRUE_EXIT_CTLS       = 0x1ffffff00036dfb
00:00:05.726448 HM: MSR_IA32_VMX_MISC                 = 0x7004c1e7
00:00:05.726449 HM:   PREEMPT_TIMER_TSC                 = 0x7
00:00:05.726449 HM:   EXIT_SAVE_EFER_LMA                = true 
00:00:05.726450 HM:   ACTIVITY_STATES                   = 0x7 ( HLT SHUTDOWN SIPI_WAIT )
00:00:05.726450 HM:   INTEL_PT                          = true 
00:00:05.726451 HM:   SMM_READ_SMBASE_MSR               = true 
00:00:05.726451 HM:   CR3_TARGET                        = 0x4
00:00:05.726451 HM:   MAX_MSR                           = 0x0 ( 512 )
00:00:05.726452 HM:   VMXOFF_BLOCK_SMI                  = true 
00:00:05.726452 HM:   VMWRITE_ALL                       = true 
00:00:05.726453 HM:   ENTRY_INJECT_SOFT_INT             = 0x1
00:00:05.726453 HM:   MSEG_ID                           = 0x0
00:00:05.726454 HM: MSR_IA32_VMX_VMCS_ENUM            = 0x2e
00:00:05.726454 HM:   HIGHEST_IDX                       = 0x17
00:00:05.726454 HM: MSR_IA32_VMX_EPT_VPID_CAP         = 0xf0106734141
00:00:05.726455 HM:   RWX_X_ONLY
00:00:05.726455 HM:   PAGE_WALK_LENGTH_4
00:00:05.726456 HM:   EMT_UC
00:00:05.726456 HM:   EMT_WB
00:00:05.726456 HM:   PDE_2M
00:00:05.726456 HM:   PDPTE_1G
00:00:05.726457 HM:   INVEPT
00:00:05.726457 HM:   EPT_ACCESS_DIRTY
00:00:05.726457 HM:   ADVEXITINFO_EPT
00:00:05.726458 HM:   INVEPT_SINGLE_CONTEXT
00:00:05.726458 HM:   INVEPT_ALL_CONTEXTS
00:00:05.726458 HM:   INVVPID
00:00:05.726458 HM:   INVVPID_INDIV_ADDR
00:00:05.726459 HM:   INVVPID_SINGLE_CONTEXT
00:00:05.726459 HM:   INVVPID_ALL_CONTEXTS
00:00:05.726459 HM:   INVVPID_SINGLE_CONTEXT_RETAIN_GLOBALS
00:00:05.726460 HM: MSR_IA32_VMX_VMFUNC               = 0x1
00:00:05.726460 HM:   EPTP_SWITCHING
00:00:05.726460 HM: MSR_IA32_VMX_CR0_FIXED0           = 0x80000021
00:00:05.726461 HM: MSR_IA32_VMX_CR0_FIXED1           = 0xffffffff
00:00:05.726462 HM: MSR_IA32_VMX_CR4_FIXED0           = 0x2000
00:00:05.726462 HM: MSR_IA32_VMX_CR4_FIXED1           = 0x3767ff
00:00:05.726463 HM: APIC-access page physaddr         = 0x0000000281650000
00:00:05.726463 HM: VCPU  0: MSR bitmap physaddr      = 0x0000000207254000
00:00:05.726465 HM: VCPU  0: VMCS physaddr            = 0x000000013dc51000
00:00:05.726465 HM: VCPU  1: MSR bitmap physaddr      = 0x000000031b458000
00:00:05.726466 HM: VCPU  1: VMCS physaddr            = 0x0000000134255000
00:00:05.726467 HM: Guest support: 32-bit only
00:00:05.726473 HM: Supports VMCS EFER fields         = true 
00:00:05.726473 HM: Enabled VMX
00:00:05.726475 CPUM: SetGuestCpuIdFeature: Enabled SYSENTER/EXIT
00:00:05.726476 HM: Enabled nested paging
00:00:05.726476 HM:   EPT flush type                  = Single context
00:00:05.726477 HM: Enabled unrestricted guest execution
00:00:05.726477 HM: Enabled large page support
00:00:05.726477 HM: Enabled VPID
00:00:05.726478 HM:   VPID flush type                 = Single context
00:00:05.726478 HM: Enabled VMX-preemption timer (cPreemptTimerShift=7)
00:00:05.726479 HM: VT-x/AMD-V init method: Local
00:00:05.726479 EM: Exit history optimizations: enabled=true  enabled-r0=true  enabled-r0-no-preemption=false
00:00:05.726512 PcBios: SATA LUN#0 LCHS=1024/255/63
00:00:05.726528 APIC: fPostedIntrsEnabled=false fVirtApicRegsEnabled=false fSupportsTscDeadline=false
00:00:05.726540 TMR3UtcNow: nsNow=1 635 718 445 246 017 400 nsPrev=0 -> cNsDelta=1 635 718 445 246 017 400 (offLag=0 offVirtualSync=0 offVirtualSyncGivenUp=0, NowAgain=1 635 718 445 246 017 400)
00:00:05.726554 VMM: fUsePeriodicPreemptionTimers=false
00:00:05.726565 CPUM: Logical host processors: 8 present, 8 max, 8 online, online mask: 00000000000000ff
00:00:05.726566 CPUM: Physical host cores: 4
00:00:05.726567 ************************* CPUID dump ************************
00:00:05.726572          Raw Standard CPUID Leaves
00:00:05.726572      Leaf/sub-leaf  eax      ebx      ecx      edx
00:00:05.726574 Gst: 00000000/0000  00000016 756e6547 6c65746e 49656e69
00:00:05.726575 Hst:                00000016 756e6547 6c65746e 49656e69
00:00:05.726576 Gst: 00000001/0000  000906e9 00020800 d6fa2203 178bfbbf
00:00:05.726577 Hst:                000906e9 03100800 7ffafbff bfebfbff
00:00:05.726578 Gst: 00000002/0000  76036301 00f0b5ff 00000000 00c30000
00:00:05.726579 Hst:                76036301 00f0b5ff 00000000 00c30000
00:00:05.726580 Gst: 00000003/0000  00000000 00000000 00000000 00000000
00:00:05.726580 Hst:                00000000 00000000 00000000 00000000
00:00:05.726581 Gst: 00000004/0000  04000121 01c0003f 0000003f 00000000
00:00:05.726582 Hst:                1c004121 01c0003f 0000003f 00000000
00:00:05.726582 Gst: 00000004/0001  04000122 01c0003f 0000003f 00000000
00:00:05.726583 Hst:                1c004122 01c0003f 0000003f 00000000
00:00:05.726584 Gst: 00000004/0002  04000143 00c0003f 000003ff 00000000
00:00:05.726585 Hst:                1c004143 00c0003f 000003ff 00000000
00:00:05.726585 Gst: 00000004/0003  04000163 03c0003f 00001fff 00000006
00:00:05.726586 Hst:                1c03c163 03c0003f 00001fff 00000006
00:00:05.726587 Gst: 00000004/0004  04000000 00000000 00000000 00000000
00:00:05.726588 Hst:                00000000 00000000 00000000 00000000
00:00:05.726588 Gst: 00000005/0000  00000000 00000000 00000000 00000000
00:00:05.726589 Hst:                00000040 00000040 00000003 11142120
00:00:05.726590 Gst: 00000006/0000  00000000 00000000 00000000 00000000
00:00:05.726590 Hst:                000027f7 00000002 00000009 00000000
00:00:05.726591 Gst: 00000007/0000  00000000 00842421 00000000 10000400
00:00:05.726592 Hst:                00000000 029c6fbf 00000000 9c002600
00:00:05.726592 Gst: 00000007/0001  00000000 00000000 00000000 00000000
00:00:05.726593 Hst:                00000000 00000000 00000000 00000000
00:00:05.726594 Gst: 00000008/0000  00000000 00000000 00000000 00000000
00:00:05.726594 Hst:                00000000 00000000 00000000 00000000
00:00:05.726595 Gst: 00000009/0000  00000000 00000000 00000000 00000000
00:00:05.726595 Hst:                00000000 00000000 00000000 00000000
00:00:05.726596 Gst: 0000000a/0000  00000000 00000000 00000000 00000000
00:00:05.726596 Hst:                07300404 00000000 00000000 00000603
00:00:05.726597 Gst: 0000000b/0000  00000000 00000001 00000100 00000000
00:00:05.726597 Hst:                00000001 00000002 00000100 00000003
00:00:05.726598 Gst: 0000000b/0001  00000001 00000002 00000201 00000000
00:00:05.726598 Hst:                00000004 00000008 00000201 00000003
00:00:05.726599 Gst: 0000000b/0002  00000000 00000000 00000002 00000000
00:00:05.726600 Hst:                00000000 00000000 00000002 00000003
00:00:05.726600 Gst: 0000000c/0000  00000000 00000000 00000000 00000000
00:00:05.726601 Hst:                00000000 00000000 00000000 00000000
00:00:05.726601 Gst: 0000000d/0000  00000007 00000340 00000340 00000000
00:00:05.726602 Hst:                0000001f 00000440 00000440 00000000
00:00:05.726602 Gst: 0000000d/0001  00000000 00000440 00000000 00000000
00:00:05.726603 Hst:                0000000f 00000440 00000100 00000000
00:00:05.726604 Gst: 0000000d/0002  00000100 00000240 00000000 00000000
00:00:05.726604 Hst:                00000100 00000240 00000000 00000000
00:00:05.726605 Gst: 0000000d/0003  00000000 00000000 00000000 00000000
00:00:05.726605 Hst:                00000040 000003c0 00000000 00000000
00:00:05.726606 Gst: 0000000d/0004  00000000 00000000 00000000 00000000
00:00:05.726606 Hst:                00000040 00000400 00000000 00000000
00:00:05.726607 Gst: 0000000d/0005  00000000 00000000 00000000 00000000
00:00:05.726608 Hst:                00000000 00000000 00000000 00000000
00:00:05.726608 Gst: 0000000d/0006  00000000 00000000 00000000 00000000
00:00:05.726609 Hst:                00000000 00000000 00000000 00000000
00:00:05.726609 Gst: 0000000d/0007  00000000 00000000 00000000 00000000
00:00:05.726610 Hst:                00000000 00000000 00000000 00000000
00:00:05.726610 Gst: 0000000d/0008  00000000 00000000 00000000 00000000
00:00:05.726611 Hst:                00000080 00000000 00000001 00000000
00:00:05.726611 Gst: 0000000d/0009  00000000 00000000 00000000 00000000
00:00:05.726612 Hst:                00000000 00000000 00000000 00000000
00:00:05.726629 Gst: 0000000e/0000  00000000 00000000 00000000 00000000
00:00:05.726629 Hst:                00000000 00000000 00000000 00000000
00:00:05.726630 Gst: 0000000f/0000  00000000 00000000 00000000 00000000
00:00:05.726630 Hst:                00000000 00000000 00000000 00000000
00:00:05.726631 Gst: 00000010/0000  00000000 00000000 00000000 00000000
00:00:05.726631 Hst:                00000000 00000000 00000000 00000000
00:00:05.726632 Gst: 00000011/0000  00000000 00000000 00000000 00000000
00:00:05.726632 Hst:                00000000 00000000 00000000 00000000
00:00:05.726633 Gst: 00000012/0000  00000000 00000000 00000000 00000000
00:00:05.726633 Hst:                00000000 00000000 00000000 00000000
00:00:05.726634 Gst: 00000013/0000  00000000 00000000 00000000 00000000
00:00:05.726634 Hst:                00000000 00000000 00000000 00000000
00:00:05.726635 Gst: 00000014/0000  00000000 00000000 00000000 00000000
00:00:05.726635 Hst:                00000001 0000000f 00000007 00000000
00:00:05.726636 Hst: 00000015/0000  00000002 000000f2 00000000 00000000
00:00:05.726637 Hst: 00000016/0000  00000b54 00000f3c 00000064 00000000
00:00:05.726638                                Name: GenuineIntel
00:00:05.726639                            Supports: 0x00000000-0x00000016
00:00:05.726641                              Family:  6 	Extended: 0 	Effective: 6
00:00:05.726642                               Model: 14 	Extended: 9 	Effective: 158
00:00:05.726643                            Stepping: 9
00:00:05.726644                                Type: 0 (primary)
00:00:05.726644                             APIC ID: 0x00
00:00:05.726645                        Logical CPUs: 2
00:00:05.726645                        CLFLUSH Size: 8
00:00:05.726646                            Brand ID: 0x00
00:00:05.726647 Features
00:00:05.726647   Mnemonic - Description                                  = guest (host)
00:00:05.726649   FPU - x87 FPU on Chip                                   = 1 (1)
00:00:05.726650   VME - Virtual 8086 Mode Enhancements                    = 1 (1)
00:00:05.726651   DE - Debugging extensions                               = 1 (1)
00:00:05.726652   PSE - Page Size Extension                               = 1 (1)
00:00:05.726652   TSC - Time Stamp Counter                                = 1 (1)
00:00:05.726653   MSR - Model Specific Registers                          = 1 (1)
00:00:05.726654   PAE - Physical Address Extension                        = 0 (1)
00:00:05.726655   MCE - Machine Check Exception                           = 1 (1)
00:00:05.726655   CX8 - CMPXCHG8B instruction                             = 1 (1)
00:00:05.726656   APIC - APIC On-Chip                                     = 1 (1)
00:00:05.726657   SEP - SYSENTER and SYSEXIT Present                      = 1 (1)
00:00:05.726658   MTRR - Memory Type Range Registers                      = 1 (1)
00:00:05.726658   PGE - PTE Global Bit                                    = 1 (1)
00:00:05.726659   MCA - Machine Check Architecture                        = 1 (1)
00:00:05.726660   CMOV - Conditional Move instructions                    = 1 (1)
00:00:05.726661   PAT - Page Attribute Table                              = 1 (1)
00:00:05.726661   PSE-36 - 36-bit Page Size Extension                     = 1 (1)
00:00:05.726662   PSN - Processor Serial Number                           = 0 (0)
00:00:05.726663   CLFSH - CLFLUSH instruction                             = 1 (1)
00:00:05.726664   DS - Debug Store                                        = 0 (1)
00:00:05.726664   ACPI - Thermal Mon. & Soft. Clock Ctrl.                 = 0 (1)
00:00:05.726665   MMX - Intel MMX Technology                              = 1 (1)
00:00:05.726666   FXSR - FXSAVE and FXRSTOR instructions                  = 1 (1)
00:00:05.726666   SSE - SSE support                                       = 1 (1)
00:00:05.726667   SSE2 - SSE2 support                                     = 1 (1)
00:00:05.726668   SS - Self Snoop                                         = 0 (1)
00:00:05.726669   HTT - Hyper-Threading Technology                        = 1 (1)
00:00:05.726669   TM - Therm. Monitor                                     = 0 (1)
00:00:05.726670   PBE - Pending Break Enabled                             = 0 (1)
00:00:05.726671   SSE3 - SSE3 support                                     = 1 (1)
00:00:05.726672   PCLMUL - PCLMULQDQ support (for AES-GCM)                = 1 (1)
00:00:05.726672   DTES64 - DS Area 64-bit Layout                          = 0 (1)
00:00:05.726673   MONITOR - MONITOR/MWAIT instructions                    = 0 (1)
00:00:05.726674   CPL-DS - CPL Qualified Debug Store                      = 0 (1)
00:00:05.726674   VMX - Virtual Machine Extensions                        = 0 (1)
00:00:05.726675   SMX - Safer Mode Extensions                             = 0 (1)
00:00:05.726676   EST - Enhanced SpeedStep Technology                     = 0 (1)
00:00:05.726676   TM2 - Terminal Monitor 2                                = 0 (1)
00:00:05.726677   SSSE3 - Supplemental Streaming SIMD Extensions 3        = 1 (1)
00:00:05.726678   CNTX-ID - L1 Context ID                                 = 0 (0)
00:00:05.726679   SDBG - Silicon Debug interface                          = 0 (1)
00:00:05.726679   FMA - Fused Multiply Add extensions                     = 0 (1)
00:00:05.726680   CX16 - CMPXCHG16B instruction                           = 1 (1)
00:00:05.726681   TPRUPDATE - xTPR Update Control                         = 0 (1)
00:00:05.726681   PDCM - Perf/Debug Capability MSR                        = 0 (1)
00:00:05.726682   PCID - Process Context Identifiers                      = 1 (1)
00:00:05.726683   DCA - Direct Cache Access                               = 0 (0)
00:00:05.726683   SSE4_1 - SSE4_1 support                                 = 1 (1)
00:00:05.726684   SSE4_2 - SSE4_2 support                                 = 1 (1)
00:00:05.726685   X2APIC - x2APIC support                                 = 1 (1)
00:00:05.726686   MOVBE - MOVBE instruction                               = 1 (1)
00:00:05.726686   POPCNT - POPCNT instruction                             = 1 (1)
00:00:05.726687   TSCDEADL - Time Stamp Counter Deadline                  = 0 (1)
00:00:05.726688   AES - AES instructions                                  = 1 (1)
00:00:05.726689   XSAVE - XSAVE instruction                               = 1 (1)
00:00:05.726689   OSXSAVE - OSXSAVE instruction                           = 0 (1)
00:00:05.726690   AVX - AVX support                                       = 1 (1)
00:00:05.726691   F16C - 16-bit floating point conversion instructions    = 0 (1)
00:00:05.726691   RDRAND - RDRAND instruction                             = 1 (1)
00:00:05.726692   HVP - Hypervisor Present (we're a guest)                = 1 (0)
00:00:05.726693 Structured Extended Feature Flags Enumeration (leaf 7):
00:00:05.726693   Mnemonic - Description                                  = guest (host)
00:00:05.726694   FSGSBASE - RDFSBASE/RDGSBASE/WRFSBASE/WRGSBASE instr.   = 1 (1)
00:00:05.726694   TSCADJUST - Supports MSR_IA32_TSC_ADJUST                = 0 (1)
00:00:05.726695   SGX - Supports Software Guard Extensions                = 0 (1)
00:00:05.726696   BMI1 - Advanced Bit Manipulation extension 1            = 0 (1)
00:00:05.726696   HLE - Hardware Lock Elision                             = 0 (1)
00:00:05.726697   AVX2 - Advanced Vector Extensions 2                     = 1 (1)
00:00:05.726698   FDP_EXCPTN_ONLY - FPU DP only updated on exceptions     = 0 (0)
00:00:05.726698   SMEP - Supervisor Mode Execution Prevention             = 0 (1)
00:00:05.726699   BMI2 - Advanced Bit Manipulation extension 2            = 0 (1)
00:00:05.726699   ERMS - Enhanced REP MOVSB/STOSB instructions            = 0 (1)
00:00:05.726700   INVPCID - INVPCID instruction                           = 1 (1)
00:00:05.726701   RTM - Restricted Transactional Memory                   = 0 (1)
00:00:05.726701   PQM - Platform Quality of Service Monitoring            = 0 (0)
00:00:05.726702   DEPFPU_CS_DS - Deprecates FPU CS, FPU DS values if set  = 1 (1)
00:00:05.726703   MPE - Intel Memory Protection Extensions                = 0 (1)
00:00:05.726703   PQE - Platform Quality of Service Enforcement           = 0 (0)
00:00:05.726704   AVX512F - AVX512 Foundation instructions                = 0 (0)
00:00:05.726704   RDSEED - RDSEED instruction                             = 1 (1)
00:00:05.726705   ADX - ADCX/ADOX instructions                            = 0 (1)
00:00:05.726706   SMAP - Supervisor Mode Access Prevention                = 0 (1)
00:00:05.726706   CLFLUSHOPT - CLFLUSHOPT (Cache Line Flush) instruction  = 1 (1)
00:00:05.726707   INTEL_PT - Intel Processor Trace                        = 0 (1)
00:00:05.726708   AVX512PF - AVX512 Prefetch instructions                 = 0 (0)
00:00:05.726708   AVX512ER - AVX512 Exponential & Reciprocal instructions = 0 (0)
00:00:05.726709   AVX512CD - AVX512 Conflict Detection instructions       = 0 (0)
00:00:05.726710   SHA - Secure Hash Algorithm extensions                  = 0 (0)
00:00:05.726710   PREFETCHWT1 - PREFETCHWT1 instruction                   = 0 (0)
00:00:05.726711   UMIP - User mode insturction prevention                 = 0 (0)
00:00:05.726712   PKU - Protection Key for Usermode pages                 = 0 (0)
00:00:05.726712   OSPKE - CR4.PKU mirror                                  = 0 (0)
00:00:05.726713   MAWAU - Value used by BNDLDX & BNDSTX                   = 0x0 (0x0)
00:00:05.726714   RDPID - Read processor ID support                       = 0 (0)
00:00:05.726715   SGX_LC - Supports SGX Launch Configuration              = 0 (0)
00:00:05.726715    9 - Reserved                                           = 0 (1)
00:00:05.726716   MD_CLEAR - Supports MDS related buffer clearing         = 1 (1)
00:00:05.726717   13 - Reserved                                           = 0 (1)
00:00:05.726718   IBRS_IBPB - IA32_SPEC_CTRL.IBRS and IA32_PRED_CMD.IBPB  = 0 (1)
00:00:05.726718   STIBP - Supports IA32_SPEC_CTRL.STIBP                   = 0 (1)
00:00:05.726719   FLUSH_CMD - Supports IA32_FLUSH_CMD                     = 1 (1)
00:00:05.726720   ARCHCAP - Supports IA32_ARCH_CAP                        = 0 (0)
00:00:05.726720   CORECAP - Supports IA32_CORE_CAP                        = 0 (0)
00:00:05.726721   SSBD - Supports IA32_SPEC_CTRL.SSBD                     = 0 (1)
00:00:05.726722 Processor Extended State Enumeration (leaf 0xd):
00:00:05.726723    XSAVE area cur/max size by XCR0, guest: 0x340/0x340
00:00:05.726723     XSAVE area cur/max size by XCR0, host: 0x440/0x440
00:00:05.726724                    Valid XCR0 bits, guest: 0x00000000`00000007 ( x87 SSE YMM_Hi128 )
00:00:05.726725                     Valid XCR0 bits, host: 0x00000000`0000001f ( x87 SSE YMM_Hi128 BNDREGS BNDCSR )
00:00:05.726727                     XSAVE features, guest:
00:00:05.726728                      XSAVE features, host: XSAVEOPT XSAVEC XGETBC1 XSAVES
00:00:05.726729       XSAVE area cur size XCR0|XSS, guest: 0x440
00:00:05.726729        XSAVE area cur size XCR0|XSS, host: 0x440
00:00:05.726730                Valid IA32_XSS bits, guest: 0x00000000`00000000
00:00:05.726730                 Valid IA32_XSS bits, host: 0x00000100`00000000 ( 40 )
00:00:05.726731   State #2, guest: off=0x0240, cb=0x0100 IA32_XSS-bit -- YMM_Hi128
00:00:05.726733   State #2, host:  off=0x0240, cb=0x0100 IA32_XSS-bit -- YMM_Hi128
00:00:05.726734   State #3, host:  off=0x03c0, cb=0x0040 IA32_XSS-bit -- BNDREGS
00:00:05.726735   State #4, host:  off=0x0400, cb=0x0040 IA32_XSS-bit -- BNDCSR
00:00:05.726736   State #8, host:  off=0x0000, cb=0x0080 XCR0-bit -- 8
00:00:05.726745          Unknown CPUID Leaves
00:00:05.726745      Leaf/sub-leaf  eax      ebx      ecx      edx
00:00:05.726745 Gst: 00000014/0001  00000000 00000000 00000000 00000000
00:00:05.726746 Hst:                02490002 003f3fff 00000000 00000000
00:00:05.726747 Gst: 00000014/0002  00000000 00000000 00000000 00000000
00:00:05.726747 Hst:                00000000 00000000 00000000 00000000
00:00:05.726748 Gst: 00000015/0000  00000000 00000000 00000000 00000000
00:00:05.726749 Hst:                00000002 000000f2 00000000 00000000
00:00:05.726750 Gst: 00000016/0000  00000000 00000000 00000000 00000000
00:00:05.726750 Hst:                00000b54 00000f3c 00000064 00000000
00:00:05.726751          Raw Hypervisor CPUID Leaves
00:00:05.726752      Leaf/sub-leaf  eax      ebx      ecx      edx
00:00:05.726752 Gst: 40000000/0000  40000001 4b4d564b 564b4d56 0000004d
00:00:05.726753 Hst:                00000b54 00000f3c 00000064 00000000
00:00:05.726754 Gst: 40000001/0000  01000089 00000000 00000000 00000000
00:00:05.726755 Hst:                00000b54 00000f3c 00000064 00000000
00:00:05.726756          Raw Extended CPUID Leaves
00:00:05.726756      Leaf/sub-leaf  eax      ebx      ecx      edx
00:00:05.726756 Gst: 80000000/0000  80000008 00000000 00000000 00000000
00:00:05.726757 Hst:                80000008 00000000 00000000 00000000
00:00:05.726758 Gst: 80000001/0000  00000000 00000000 00000121 08000000
00:00:05.726758 Hst:                00000000 00000000 00000121 2c100800
00:00:05.726759 Gst: 80000002/0000  65746e49 2952286c 726f4320 4d542865
00:00:05.726760 Hst:                65746e49 2952286c 726f4320 4d542865
00:00:05.726761 Gst: 80000003/0000  37692029 3238372d 20514830 20555043
00:00:05.726762 Hst:                37692029 3238372d 20514830 20555043
00:00:05.726764 Gst: 80000004/0000  2e322040 48473039 0000007a 00000000
00:00:05.726764 Hst:                2e322040 48473039 0000007a 00000000
00:00:05.726765 Gst: 80000005/0000  00000000 00000000 00000000 00000000
00:00:05.726766 Hst:                00000000 00000000 00000000 00000000
00:00:05.726766 Gst: 80000006/0000  00000000 00000000 01006040 00000000
00:00:05.726767 Hst:                00000000 00000000 01006040 00000000
00:00:05.726767 Gst: 80000007/0000  00000000 00000000 00000000 00000100
00:00:05.726768 Hst:                00000000 00000000 00000000 00000100
00:00:05.726769 Gst: 80000008/0000  00003027 00000000 00000000 00000000
00:00:05.726769 Hst:                00003027 00000000 00000000 00000000
00:00:05.726770 Ext Name:                        
00:00:05.726770 Ext Supports:                    0x80000000-0x80000008
00:00:05.726771 Family:                          0  	Extended: 0 	Effective: 0
00:00:05.726772 Model:                           0  	Extended: 0 	Effective: 0
00:00:05.726772 Stepping:                        0
00:00:05.726772 Brand ID:                        0x000
00:00:05.726773 Ext Features
00:00:05.726773   Mnemonic - Description                                  = guest (host)
00:00:05.726775   FPU - x87 FPU on Chip                                   = 0 (0)
00:00:05.726776   VME - Virtual 8086 Mode Enhancements                    = 0 (0)
00:00:05.726776   DE - Debugging extensions                               = 0 (0)
00:00:05.726777   PSE - Page Size Extension                               = 0 (0)
00:00:05.726778   
Last edited 5 weeks ago by ah08 (previous) (diff)

comment:12 Changed 5 weeks ago by ah08

By the way, I noticed something interesting while upgrading the VirtualBox Guest Additions from 6.1.26 to 6.1.28: After stopping and restarting the service by the installation script, the problem seems temporarily to be gone. Here is the dmesg output:

root@beaky:~# dmesg
[    0.000000] Linux version 5.10.0-9-686 (debian-kernel@lists.debian.org) (gcc-10 (Debian 10.2.1-6) 10.2.1 20210110, GNU ld (GNU Binutils for Debian) 2.35.2) #1 SMP Debian 5.10.70-1 (2021-09-30)
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000003ffeffff] usable
[    0.000000] BIOS-e820: [mem 0x000000003fff0000-0x000000003fffffff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] Notice: NX (Execute Disable) protection missing in CPU!
[    0.000000] SMBIOS 2.5 present.
[    0.000000] DMI: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[    0.000000] Hypervisor detected: KVM
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 10c97001, primary cpu clock
[    0.000000] kvm-clock: using sched offset of 10081817240 cycles
[    0.000003] clocksource: kvm-clock: mask: 0xffffffffffffffff max_cycles: 0x1cd42e4dffb, max_idle_ns: 881590591483 ns
[    0.000006] tsc: Detected 2904.000 MHz processor
[    0.001876] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.001880] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.001886] last_pfn = 0x3fff0 max_arch_pfn = 0x100000
[    0.001898] MTRR default type: uncachable
[    0.001899] MTRR variable ranges disabled:
[    0.001900] Disabled
[    0.001901] x86/PAT: MTRRs disabled, skipping PAT initialization too.
[    0.001904] CPU MTRRs all blank - virtualized system.
[    0.001908] x86/PAT: Configuration [0-7]: WB  WT  UC- UC  WB  WT  UC- UC  
[    0.001940] found SMP MP-table at [mem 0x0009fff0-0x0009ffff]
[    0.090583] initial memory mapped: [mem 0x00000000-0x10ffffff]
[    0.090626] RAMDISK: [mem 0x33b19000-0x35d83fff]
[    0.090630] ACPI: Early table checksum verification disabled
[    0.090634] ACPI: RSDP 0x00000000000E0000 000024 (v02 VBOX  )
[    0.090639] ACPI: XSDT 0x000000003FFF0030 00003C (v01 VBOX   VBOXXSDT 00000001 ASL  00000061)
[    0.090646] ACPI: FACP 0x000000003FFF00F0 0000F4 (v04 VBOX   VBOXFACP 00000001 ASL  00000061)
[    0.090652] ACPI: DSDT 0x000000003FFF0470 002325 (v02 VBOX   VBOXBIOS 00000002 INTL 20100528)
[    0.090657] ACPI: FACS 0x000000003FFF0200 000040
[    0.090661] ACPI: FACS 0x000000003FFF0200 000040
[    0.090665] ACPI: APIC 0x000000003FFF0240 00005C (v02 VBOX   VBOXAPIC 00000001 ASL  00000061)
[    0.090669] ACPI: SSDT 0x000000003FFF02A0 0001CC (v01 VBOX   VBOXCPUT 00000002 INTL 20100528)
[    0.090673] ACPI: Reserving FACP table memory at [mem 0x3fff00f0-0x3fff01e3]
[    0.090674] ACPI: Reserving DSDT table memory at [mem 0x3fff0470-0x3fff2794]
[    0.090675] ACPI: Reserving FACS table memory at [mem 0x3fff0200-0x3fff023f]
[    0.090676] ACPI: Reserving FACS table memory at [mem 0x3fff0200-0x3fff023f]
[    0.090677] ACPI: Reserving APIC table memory at [mem 0x3fff0240-0x3fff029b]
[    0.090678] ACPI: Reserving SSDT table memory at [mem 0x3fff02a0-0x3fff046b]
[    0.090692] ACPI: Local APIC address 0xfee00000
[    0.090709] 147MB HIGHMEM available.
[    0.090710] 875MB LOWMEM available.
[    0.090711]   mapped low ram: 0 - 36bfe000
[    0.090712]   low ram: 0 - 36bfe000
[    0.090718] Zone ranges:
[    0.090719]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.090721]   Normal   [mem 0x0000000001000000-0x0000000036bfdfff]
[    0.090722]   HighMem  [mem 0x0000000036bfe000-0x000000003ffeffff]
[    0.090724] Movable zone start for each node
[    0.090724] Early memory node ranges
[    0.090725]   node   0: [mem 0x0000000000001000-0x000000000009efff]
[    0.090726]   node   0: [mem 0x0000000000100000-0x000000003ffeffff]
[    0.090728] Initmem setup node 0 [mem 0x0000000000001000-0x000000003ffeffff]
[    0.090729] On node 0 totalpages: 262030
[    0.093231]   DMA zone: 40 pages used for memmap
[    0.093233]   DMA zone: 0 pages reserved
[    0.093234]   DMA zone: 3998 pages, LIFO batch:0
[    0.093237]   Normal zone: 2150 pages used for memmap
[    0.093238]   Normal zone: 220158 pages, LIFO batch:63
[    0.093239]   HighMem zone: 37874 pages, LIFO batch:7
[    0.095951] Using APIC driver default
[    0.096389] ACPI: PM-Timer IO Port: 0x4008
[    0.096391] ACPI: Local APIC address 0xfee00000
[    0.096444] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
[    0.096447] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.096449] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
[    0.096451] ACPI: IRQ0 used by override.
[    0.096452] ACPI: IRQ9 used by override.
[    0.096455] Using ACPI (MADT) for SMP configuration information
[    0.096464] smpboot: Allowing 2 CPUs, 0 hotplug CPUs
[    0.096483] PM: hibernation: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.096484] PM: hibernation: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.096485] PM: hibernation: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.096486] PM: hibernation: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.096487] [mem 0x40000000-0xfebfffff] available for PCI devices
[    0.096488] Booting paravirtualized kernel on KVM
[    0.096491] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[    0.096495] setup_percpu: NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:2 nr_node_ids:1
[    0.096523] percpu: Embedded 36 pages/cpu s115404 r0 d32052 u147456
[    0.096527] pcpu-alloc: s115404 r0 d32052 u147456 alloc=36*4096
[    0.096528] pcpu-alloc: [0] 0 [0] 1 
[    0.096543] kvm-guest: PV spinlocks enabled
[    0.096546] PV qspinlock hash table entries: 512 (order: 0, 4096 bytes, linear)
[    0.096551] Built 1 zonelists, mobility grouping on.  Total pages: 259840
[    0.096552] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.10.0-9-686 root=UUID=28b21e56-e576-489d-aaba-25c0d6a75d9a ro quiet
[    0.096633] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes, linear)
[    0.096644] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes, linear)
[    0.096673] mem auto-init: stack:off, heap alloc:on, heap free:off
[    0.096675] Initializing HighMem for node 0 (00036bfe:0003fff0)
[    0.102437] Initializing Movable for node 0 (00000000:00000000)
[    0.103374] Memory: 987904K/1048120K available (8172K kernel code, 1159K rwdata, 2496K rodata, 868K init, 480K bss, 60216K reserved, 0K cma-reserved, 151496K highmem)
[    0.103375] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.103384] random: get_random_u32 called from __kmem_cache_create+0x23/0x420 with crng_init=0
[    0.103488] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[    0.103495] ftrace: allocating 33573 entries in 66 pages
[    0.118036] ftrace: allocated 66 pages with 2 groups
[    0.118098] rcu: Hierarchical RCU implementation.
[    0.118099] rcu:     RCU restricting CPUs from NR_CPUS=32 to nr_cpu_ids=2.
[    0.118100]  Rude variant of Tasks RCU enabled.
[    0.118100]  Tracing variant of Tasks RCU enabled.
[    0.118101] rcu: RCU calculated value of scheduler-enlistment delay is 25 jiffies.
[    0.118102] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=2
[    0.123718] NR_IRQS: 2304, nr_irqs: 440, preallocated irqs: 16
[    0.124257] random: crng done (trusting CPU's manufacturer)
[    0.134022] Console: colour VGA+ 80x25
[    0.134035] printk: console [tty0] enabled
[    0.134040] ACPI: Core revision 20200925
[    0.134132] APIC: Switch to symmetric I/O mode setup
[    0.134135] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.135417] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.135442] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x29dc05e54fc, max_idle_ns: 440795291716 ns
[    0.135446] Calibrating delay loop (skipped) preset value.. 5808.00 BogoMIPS (lpj=11616000)
[    0.135449] pid_max: default: 32768 minimum: 301
[    0.135477] LSM: Security Framework initializing
[    0.135485] Yama: disabled by default; enable with sysctl kernel.yama.*
[    0.135505] AppArmor: AppArmor initialized
[    0.135506] TOMOYO Linux initialized
[    0.135517] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes, linear)
[    0.135519] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes, linear)
[    0.135847] Last level iTLB entries: 4KB 64, 2MB 8, 4MB 8
[    0.135848] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 0, 1GB 4
[    0.135850] Spectre V1 : Mitigation: usercopy/swapgs barriers and __user pointer sanitization
[    0.135851] Spectre V2 : Mitigation: Full generic retpoline
[    0.135852] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[    0.135853] Speculative Store Bypass: Vulnerable
[    0.135854] L1TF: Kernel not compiled for PAE. No mitigation for L1TF
[    0.135855] SRBDS: Unknown: Dependent on hypervisor status
[    0.135856] MDS: Mitigation: Clear CPU buffers
[    0.135937] Freeing SMP alternatives memory: 32K
[    0.246010] smpboot: CPU0: Intel(R) Core(TM) i7-7820HQ CPU @ 2.90GHz (family: 0x6, model: 0x9e, stepping: 0x9)
[    0.246132] Performance Events: unsupported p6 CPU model 158 no PMU driver, software events only.
[    0.246157] rcu: Hierarchical SRCU implementation.
[    0.246348] NMI watchdog: Perf NMI watchdog permanently disabled
[    0.246381] smp: Bringing up secondary CPUs ...
[    0.246437] x86: Booting SMP configuration:
[    0.246438] .... node  #0, CPUs:      #1
[    0.015463] kvm-clock: cpu 1, msr 10c97041, secondary cpu clock
[    0.247444] smp: Brought up 1 node, 2 CPUs
[    0.247444] smpboot: Max logical packages: 1
[    0.247444] smpboot: Total of 2 processors activated (11616.00 BogoMIPS)
[    0.247444] devtmpfs: initialized
[    0.247444] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[    0.247444] futex hash table entries: 512 (order: 3, 32768 bytes, linear)
[    0.247444] pinctrl core: initialized pinctrl subsystem
[    0.247444] NET: Registered protocol family 16
[    0.247444] audit: initializing netlink subsys (disabled)
[    0.247444] audit: type=2000 audit(1635450342.146:1): state=initialized audit_enabled=0 res=1
[    0.247444] thermal_sys: Registered thermal governor 'fair_share'
[    0.247444] thermal_sys: Registered thermal governor 'bang_bang'
[    0.247444] thermal_sys: Registered thermal governor 'step_wise'
[    0.247444] thermal_sys: Registered thermal governor 'user_space'
[    0.247444] thermal_sys: Registered thermal governor 'power_allocator'
[    0.247444] cpuidle: using governor ladder
[    0.247444] cpuidle: using governor menu
[    0.247444] ACPI: bus type PCI registered
[    0.247444] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.247515] PCI: PCI BIOS revision 2.10 entry at 0xfda26, last bus=0
[    0.247516] PCI: Using configuration type 1 for base access
[    0.248251] Kprobes globally optimized
[    0.248278] HugeTLB registered 4.00 MiB page size, pre-allocated 0 pages
[    0.591799] ACPI: Added _OSI(Module Device)
[    0.591799] ACPI: Added _OSI(Processor Device)
[    0.591799] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.591799] ACPI: Added _OSI(Processor Aggregator Device)
[    0.591799] ACPI: Added _OSI(Linux-Dell-Video)
[    0.591799] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.591799] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
[    0.593005] ACPI: 2 ACPI AML tables successfully acquired and loaded
[    0.595580] ACPI: Interpreter enabled
[    0.595594] ACPI: (supports S0 S5)
[    0.595595] ACPI: Using IOAPIC for interrupt routing
[    0.595771] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.595873] ACPI: Enabled 2 GPEs in block 00 to 07
[    0.600001] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.600005] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MSI HPX-Type3]
[    0.600339] acpi PNP0A03:00: _OSC: not requesting OS control; OS requires [ExtendedConfig ASPM ClockPM MSI]
[    0.600341] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
[    0.600402] acpi PNP0A03:00: host bridge window [io  0x0cf8-0x0cff] (ignored)
[    0.600403] acpi PNP0A03:00: host bridge window [io  0x0000-0x0cf7 window] (ignored)
[    0.600404] acpi PNP0A03:00: host bridge window [io  0x0d00-0xffff window] (ignored)
[    0.600406] acpi PNP0A03:00: host bridge window [mem 0x000a0000-0x000bffff window] (ignored)
[    0.600407] acpi PNP0A03:00: host bridge window [mem 0x40000000-0xfdffffff window] (ignored)
[    0.600408] PCI: root bus 00: using default resources
[    0.600687] PCI host bridge to bus 0000:00
[    0.600689] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.600690] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffff]
[    0.600692] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.600735] pci 0000:00:00.0: [8086:1237] type 00 class 0x060000
[    0.601362] pci 0000:00:01.0: [8086:7000] type 00 class 0x060100
[    0.602101] pci 0000:00:01.1: [8086:7111] type 00 class 0x01018a
[    0.602488] pci 0000:00:01.1: reg 0x20: [io  0xd000-0xd00f]
[    0.602639] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.602640] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.602641] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.602642] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.602898] pci 0000:00:02.0: [15ad:0405] type 00 class 0x030000
[    0.603481] pci 0000:00:02.0: reg 0x10: [io  0xd010-0xd01f]
[    0.604066] pci 0000:00:02.0: reg 0x14: [mem 0xe0000000-0xe0ffffff pref]
[    0.604570] pci 0000:00:02.0: reg 0x18: [mem 0xf0000000-0xf01fffff]
[    0.606679] pci 0000:00:03.0: [8086:100e] type 00 class 0x020000
[    0.607044] pci 0000:00:03.0: reg 0x10: [mem 0xf0200000-0xf021ffff]
[    0.607830] pci 0000:00:03.0: reg 0x18: [io  0xd020-0xd027]
[    0.609483] pci 0000:00:04.0: [80ee:cafe] type 00 class 0x088000
[    0.609840] pci 0000:00:04.0: reg 0x10: [io  0xd040-0xd05f]
[    0.610144] pci 0000:00:04.0: reg 0x14: [mem 0xf0400000-0xf07fffff]
[    0.610451] pci 0000:00:04.0: reg 0x18: [mem 0xf0800000-0xf0803fff pref]
[    0.611885] pci 0000:00:05.0: [8086:2415] type 00 class 0x040100
[    0.612004] pci 0000:00:05.0: reg 0x10: [io  0xd100-0xd1ff]
[    0.612068] pci 0000:00:05.0: reg 0x14: [io  0xd200-0xd23f]
[    0.612669] pci 0000:00:06.0: [106b:003f] type 00 class 0x0c0310
[    0.613038] pci 0000:00:06.0: reg 0x10: [mem 0xf0804000-0xf0804fff]
[    0.615052] pci 0000:00:07.0: [8086:7113] type 00 class 0x068000
[    0.615700] pci 0000:00:07.0: quirk: [io  0x4000-0x403f] claimed by PIIX4 ACPI
[    0.615710] pci 0000:00:07.0: quirk: [io  0x4100-0x410f] claimed by PIIX4 SMB
[    0.616073] pci 0000:00:0d.0: [8086:2829] type 00 class 0x010601
[    0.616437] pci 0000:00:0d.0: reg 0x10: [io  0xd240-0xd247]
[    0.616743] pci 0000:00:0d.0: reg 0x14: [io  0xd248-0xd24b]
[    0.617045] pci 0000:00:0d.0: reg 0x18: [io  0xd250-0xd257]
[    0.617354] pci 0000:00:0d.0: reg 0x1c: [io  0xd258-0xd25b]
[    0.617660] pci 0000:00:0d.0: reg 0x20: [io  0xd260-0xd26f]
[    0.617962] pci 0000:00:0d.0: reg 0x24: [mem 0xf0806000-0xf0807fff]
[    0.618865] pci_bus 0000:00: on NUMA node 0
[    0.619878] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 9 10 *11)
[    0.620106] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 9 *10 11)
[    0.620195] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 *9 10 11)
[    0.620283] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 9 10 *11)
[    0.620429] iommu: Default domain type: Translated 
[    0.620457] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.620457] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.620457] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.620457] vgaarb: loaded
[    0.620457] EDAC MC: Ver: 3.0.0
[    0.620457] NetLabel: Initializing
[    0.620457] NetLabel:  domain hash size = 128
[    0.620457] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.620457] NetLabel:  unlabeled traffic allowed by default
[    0.620457] PCI: Using ACPI for IRQ routing
[    0.620457] PCI: pci_cache_line_size set to 64 bytes
[    0.620457] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
[    0.620457] e820: reserve RAM buffer [mem 0x3fff0000-0x3fffffff]
[    0.620457] clocksource: Switched to clocksource kvm-clock
[    0.628718] VFS: Disk quotas dquot_6.6.0
[    0.628732] VFS: Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.628827] AppArmor: AppArmor Filesystem Enabled
[    0.628841] pnp: PnP ACPI init
[    0.628902] pnp 00:00: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.628957] pnp 00:01: Plug and Play ACPI device, IDs PNP0f03 (active)
[    0.629566] pnp: PnP ACPI: found 2 devices
[    0.629572] PnPBIOS: Disabled by ACPI PNP
[    0.668977] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.669033] NET: Registered protocol family 2
[    0.669067] IP idents hash table entries: 16384 (order: 5, 131072 bytes, linear)
[    0.669240] tcp_listen_portaddr_hash hash table entries: 512 (order: 0, 6144 bytes, linear)
[    0.669247] TCP established hash table entries: 8192 (order: 3, 32768 bytes, linear)
[    0.669261] TCP bind hash table entries: 8192 (order: 4, 65536 bytes, linear)
[    0.669271] TCP: Hash tables configured (established 8192 bind 8192)
[    0.669292] UDP hash table entries: 512 (order: 2, 16384 bytes, linear)
[    0.669296] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes, linear)
[    0.669320] NET: Registered protocol family 1
[    0.669324] NET: Registered protocol family 44
[    0.669332] pci_bus 0000:00: resource 4 [io  0x0000-0xffff]
[    0.669333] pci_bus 0000:00: resource 5 [mem 0x00000000-0xffffffff]
[    0.669367] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.669398] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.669449] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.670609] PCI: CLS 0 bytes, default 64
[    0.670647] Trying to unpack rootfs image as initramfs...
[    1.223749] Freeing initrd memory: 35244K
[    1.223801] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x29dc05e54fc, max_idle_ns: 440795291716 ns
[    1.223839] clocksource: Switched to clocksource tsc
[    1.223868] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    1.224162] Initialise system trusted keyrings
[    1.224185] Key type blacklist registered
[    1.224273] workingset: timestamp_bits=14 max_order=18 bucket_order=4
[    1.225061] zbud: loaded
[    1.225273] integrity: Platform Keyring initialized
[    1.225275] Key type asymmetric registered
[    1.225276] Asymmetric key parser 'x509' registered
[    1.225302] bounce: pool size: 64 pages
[    1.225315] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    1.225385] io scheduler mq-deadline registered
[    1.225540] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    1.225547] intel_idle: Please enable MWAIT in BIOS SETUP
[    1.225702] isapnp: Scanning for PnP cards...
[    1.582044] isapnp: No Plug & Play device found
[    1.582128] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.582450] Linux agpgart interface v0.103
[    1.582719] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[    1.583158] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.583164] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.583235] mousedev: PS/2 mouse device common for all mice
[    1.583452] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.583931] rtc_cmos rtc_cmos: registered as rtc0
[    1.583987] rtc_cmos rtc_cmos: setting system clock to 2021-10-28T19:45:31 UTC (1635450331)
[    1.584001] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    1.584012] intel_pstate: CPU model not supported
[    1.584069] ledtrig-cpu: registered to indicate activity on CPUs
[    1.584229] NET: Registered protocol family 10
[    1.591497] Segment Routing with IPv6
[    1.591516] mip6: Mobile IPv6
[    1.591518] NET: Registered protocol family 17
[    1.591588] mpls_gso: MPLS GSO support
[    1.591737] IPI shorthand broadcast: enabled
[    1.591742] sched_clock: Marking stable (1580207713, 11463977)->(1594907798, -3236108)
[    1.591828] registered taskstats version 1
[    1.591830] Loading compiled-in X.509 certificates
[    1.698900] Loaded X.509 cert 'Debian Secure Boot CA: 6ccece7e4c6c0d1f6149f3dd27dfcc5cbb419ea1'
[    1.698915] Loaded X.509 cert 'Debian Secure Boot Signer 2021 - linux: 4b6ef5abca669825178e052c84667ccbc0531f8c'
[    1.698938] zswap: loaded using pool lzo/zbud
[    1.699137] Key type ._fscrypt registered
[    1.699138] Key type .fscrypt registered
[    1.699139] Key type fscrypt-provisioning registered
[    1.699170] AppArmor: AppArmor sha1 policy hashing enabled
[    1.700166] Freeing unused kernel image (initmem) memory: 868K
[    1.716252] Write protecting kernel text and read-only data: 10672k
[    1.716255] Run /init as init process
[    1.716256]   with arguments:
[    1.716257]     /init
[    1.716257]   with environment:
[    1.716258]     HOME=/
[    1.716258]     TERM=linux
[    1.716259]     BOOT_IMAGE=/boot/vmlinuz-5.10.0-9-686
[    1.767976] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    1.770890] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.770954] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input3
[    1.774304] battery: ACPI: Battery Slot [BAT0] (battery present)
[    1.783546] ACPI: Power Button [PWRF]
[    1.783623] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input4
[    1.783643] ACPI: Sleep Button [SLPF]
[    1.784370] ACPI: bus type USB registered
[    1.784386] usbcore: registered new interface driver usbfs
[    1.784393] usbcore: registered new interface driver hub
[    1.784401] usbcore: registered new device driver usb
[    1.786232] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.787666] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.788218] e1000: Intel(R) PRO/1000 Network Driver
[    1.788219] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    1.788554] ehci-pci: EHCI PCI platform driver
[    1.789378] ohci-pci: OHCI PCI platform driver
[    1.789892] ohci-pci 0000:00:06.0: OHCI PCI host controller
[    1.789896] ohci-pci 0000:00:06.0: new USB bus registered, assigned bus number 1
[    1.789964] ohci-pci 0000:00:06.0: irq 22, io mem 0xf0804000
[    1.791457] piix4_smbus 0000:00:07.0: SMBus Host Controller at 0x4100, revision 0
[    1.792702] SCSI subsystem initialized
[    1.809934] libata version 3.00 loaded.
[    1.812928] ahci 0000:00:0d.0: version 3.0
[    1.814788] ata_piix 0000:00:01.1: version 2.13
[    1.815294] scsi host0: ata_piix
[    1.820512] ahci 0000:00:0d.0: SSS flag set, parallel bus scan disabled
[    1.820657] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
[    1.820659] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc 
[    1.820840] [drm] DMA map mode: Caching DMA mappings.
[    1.820880] [drm] Capabilities:
[    1.820880] [drm]   Cursor.
[    1.820881] [drm]   Cursor bypass 2.
[    1.820881] [drm]   Alpha cursor.
[    1.820882] [drm]   3D.
[    1.820882] [drm]   Extended Fifo.
[    1.820883] [drm]   Pitchlock.
[    1.820883] [drm]   Irq mask.
[    1.820884] [drm]   GMR.
[    1.820884] [drm]   Traces.
[    1.820885] [drm]   GMR2.
[    1.820885] [drm]   Screen Object 2.
[    1.820886] [drm] Restricting DMA addresses to 44 bits.
[    1.820887] [drm] Max GMR ids is 8192
[    1.820887] [drm] Max number of GMR pages is 1048576
[    1.820888] [drm] Max dedicated hypervisor surface memory is 507904 kiB
[    1.820889] [drm] Maximum display memory size is 16384 kiB
[    1.820889] [drm] VRAM at 0xe0000000 size is 16384 kiB
[    1.820890] [drm] MMIO at 0xf0000000 size is 2048 kiB
[    1.821281] [TTM] Zone  kernel: Available graphics memory: 436276 KiB
[    1.821282] [TTM] Zone highmem: Available graphics memory: 512024 KiB
[    1.821282] [TTM] Initializing pool allocator
[    1.822019] [drm] Screen Objects Display Unit initialized
[    1.822189] [drm] width 720
[    1.822200] [drm] height 400
[    1.822209] [drm] bpp 32
[    1.822352] [drm] Fifo max 0x00200000 min 0x00001000 cap 0x00000355
[    1.822360] [drm] Atomic: yes.
[    1.822375] [drm:vmw_host_log [vmwgfx]] *ERROR* Failed to send host log message.
[    1.823181] [drm:vmw_host_log [vmwgfx]] *ERROR* Failed to send host log message.
[    1.828279] scsi host2: ahci
[    1.828372] ata3: SATA max UDMA/133 abar m8192@0xf0806000 port 0xf0806100 irq 21
[    1.831636] scsi host1: ata_piix
[    1.831675] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
[    1.831676] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
[    1.846911] fbcon: svgadrmfb (fb0) is primary device
[    1.848085] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.10
[    1.848087] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.848088] usb usb1: Product: OHCI PCI host controller
[    1.848089] usb usb1: Manufacturer: Linux 5.10.0-9-686 ohci_hcd
[    1.848089] usb usb1: SerialNumber: 0000:00:06.0
[    1.848296] hub 1-0:1.0: USB hub found
[    1.848313] hub 1-0:1.0: 12 ports detected
[    1.849770] Console: switching to colour frame buffer device 100x37
[    1.857420] [drm] Initialized vmwgfx 2.18.0 20200114 for 0000:00:02.0 on minor 0
[    2.020566] psmouse serio1: hgpk: ID: 10 00 64
[    2.021716] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input5
[    2.021906] ata2.00: ATAPI: VBOX CD-ROM, 1.0, max UDMA/133
[    2.143731] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    2.143793] ata3.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
[    2.143795] ata3.00: 25126608 sectors, multi 128: LBA48 NCQ (depth 32)
[    2.143894] ata3.00: configured for UDMA/133
[    2.143993] scsi 2:0:0:0: Direct-Access     ATA      VBOX HARDDISK    1.0  PQ: 0 ANSI: 5
[    2.144562] scsi 1:0:0:0: CD-ROM            VBOX     CD-ROM           1.0  PQ: 0 ANSI: 5
[    2.152845] sd 2:0:0:0: [sda] 25126608 512-byte logical blocks: (12.9 GB/12.0 GiB)
[    2.152851] sd 2:0:0:0: [sda] Write Protect is off
[    2.152853] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.152863] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.172864]  sda: sda1 sda2 < sda5 >
[    2.178248] sr 1:0:0:0: [sr0] scsi3-mmc drive: 32x/32x xa/form2 tray
[    2.178259] cdrom: Uniform CD-ROM driver Revision: 3.20
[    2.184822] e1000 0000:00:03.0 eth0: (PCI:33MHz:32-bit) 08:00:27:07:e2:f1
[    2.184826] e1000 0000:00:03.0 eth0: Intel(R) PRO/1000 Network Connection
[    2.185911] e1000 0000:00:03.0 enp0s3: renamed from eth0
[    2.188126] sd 2:0:0:0: [sda] Attached SCSI disk
[    2.215996] usb 1-1: new full-speed USB device number 2 using ohci-pci
[    2.235564] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    2.545917] usb 1-1: New USB device found, idVendor=80ee, idProduct=0021, bcdDevice= 1.00
[    2.545922] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    2.545925] usb 1-1: Product: USB Tablet
[    2.545928] usb 1-1: Manufacturer: VirtualBox
[    2.562572] hid: raw HID events driver (C) Jiri Kosina
[    2.577620] PM: Image not found (code -22)
[    2.581051] usbcore: registered new interface driver usbhid
[    2.581052] usbhid: USB HID core driver
[    2.583024] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/0003:80EE:0021.0001/input/input6
[    2.583074] hid-generic 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
[    2.638688] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    2.689789] Not activating Mandatory Access Control as /sbin/tomoyo-init does not exist.
[    2.800635] systemd[1]: Inserted module 'autofs4'
[    2.820547] systemd[1]: systemd 247.3-6 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +ZSTD +SECCOMP +BLKID +ELFUTILS +KMOD +IDN2 -IDN +PCRE2 default-hierarchy=unified)
[    2.820576] systemd[1]: Detected virtualization oracle.
[    2.820581] systemd[1]: Detected architecture x86.
[    2.821728] systemd[1]: Set hostname to <beaky>.
[    2.978455] systemd[1]: /lib/systemd/system/plymouth-start.service:16: Unit configured to use KillMode=none. This is unsafe, as it disables systemd's process lifecycle management for the service. Please update your service to use a safer KillMode=, such as 'mixed' or 'control-group'. Support for KillMode=none is deprecated and will eventually be removed.
[    3.030253] systemd[1]: Queued start job for default target Graphical Interface.
[    3.031347] systemd[1]: Created slice system-getty.slice.
[    3.031640] systemd[1]: Created slice system-modprobe.slice.
[    3.031865] systemd[1]: Created slice User and Session Slice.
[    3.031985] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    3.032158] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    3.032294] systemd[1]: Reached target Remote File Systems.
[    3.032315] systemd[1]: Reached target Slices.
[    3.032485] systemd[1]: Listening on Syslog Socket.
[    3.032621] systemd[1]: Listening on fsck to fsckd communication Socket.
[    3.032685] systemd[1]: Listening on initctl Compatibility Named Pipe.
[    3.032906] systemd[1]: Listening on Journal Audit Socket.
[    3.033022] systemd[1]: Listening on Journal Socket (/dev/log).
[    3.033147] systemd[1]: Listening on Journal Socket.
[    3.033600] systemd[1]: Listening on udev Control Socket.
[    3.033682] systemd[1]: Listening on udev Kernel Socket.
[    3.034483] systemd[1]: Mounting Huge Pages File System...
[    3.035322] systemd[1]: Mounting POSIX Message Queue File System...
[    3.036302] systemd[1]: Mounting Kernel Debug File System...
[    3.037144] systemd[1]: Mounting Kernel Trace File System...
[    3.038576] systemd[1]: Starting Set the console keyboard layout...
[    3.039598] systemd[1]: Starting Create list of static device nodes for the current kernel...
[    3.040552] systemd[1]: Starting Load Kernel Module configfs...
[    3.041469] systemd[1]: Starting Load Kernel Module drm...
[    3.042943] systemd[1]: Starting Load Kernel Module fuse...
[    3.045260] systemd[1]: Condition check resulted in Set Up Additional Binary Formats being skipped.
[    3.045317] systemd[1]: Condition check resulted in File System Check on Root Device being skipped.
[    3.047763] systemd[1]: Starting Journal Service...
[    3.052432] systemd[1]: Starting Load Kernel Modules...
[    3.053247] systemd[1]: Starting Remount Root and Kernel File Systems...
[    3.055246] systemd[1]: Starting Coldplug All udev Devices...
[    3.057595] systemd[1]: Mounted Huge Pages File System.
[    3.057743] systemd[1]: Mounted POSIX Message Queue File System.
[    3.057863] systemd[1]: Mounted Kernel Debug File System.
[    3.057984] systemd[1]: Mounted Kernel Trace File System.
[    3.058284] systemd[1]: Finished Create list of static device nodes for the current kernel.
[    3.058594] systemd[1]: modprobe@configfs.service: Succeeded.
[    3.058778] systemd[1]: Finished Load Kernel Module configfs.
[    3.059018] systemd[1]: modprobe@drm.service: Succeeded.
[    3.059225] systemd[1]: Finished Load Kernel Module drm.
[    3.060286] systemd[1]: Mounting Kernel Configuration File System...
[    3.064067] systemd[1]: Mounted Kernel Configuration File System.
[    3.067381] fuse: init (API version 7.32)
[    3.075271] systemd[1]: modprobe@fuse.service: Succeeded.
[    3.075491] systemd[1]: Finished Load Kernel Module fuse.
[    3.076459] systemd[1]: Mounting FUSE Control File System...
[    3.089656] systemd[1]: Mounted FUSE Control File System.
[    3.091555] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
[    3.092740] systemd[1]: Finished Remount Root and Kernel File Systems.
[    3.093842] systemd[1]: Condition check resulted in Rebuild Hardware Database being skipped.
[    3.093899] systemd[1]: Condition check resulted in Platform Persistent Storage Archival being skipped.
[    3.094988] systemd[1]: Starting Load/Save Random Seed...
[    3.096822] systemd[1]: Starting Create System Users...
[    3.102126] lp: driver loaded but no devices found
[    3.115007] ppdev: user-space parallel port driver
[    3.120000] systemd[1]: Finished Load Kernel Modules.
[    3.121042] systemd[1]: Starting Apply Kernel Variables...
[    3.123194] systemd[1]: Finished Load/Save Random Seed.
[    3.123636] systemd[1]: Condition check resulted in First Boot Complete being skipped.
[    3.137670] systemd[1]: Finished Create System Users.
[    3.138818] systemd[1]: Starting Create Static Device Nodes in /dev...
[    3.147926] systemd[1]: Finished Apply Kernel Variables.
[    3.161675] systemd[1]: Started Journal Service.
[    3.178838] systemd-journald[209]: Received client request to flush runtime journal.
[    3.378201] audit: type=1400 audit(1635450333.287:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="nvidia_modprobe" pid=248 comm="apparmor_parser"
[    3.378207] audit: type=1400 audit(1635450333.287:3): apparmor="STATUS" operation="profile_load" profile="unconfined" name="nvidia_modprobe//kmod" pid=248 comm="apparmor_parser"
[    3.387101] audit: type=1400 audit(1635450333.295:4): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/ntpd" pid=247 comm="apparmor_parser"
[    3.424264] audit: type=1400 audit(1635450333.335:5): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/cups-browsed" pid=260 comm="apparmor_parser"
[    3.427022] audit: type=1400 audit(1635450333.335:6): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/i386-linux-gnu/lightdm/lightdm-guest-session" pid=261 comm="apparmor_parser"
[    3.427025] audit: type=1400 audit(1635450333.335:7): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/i386-linux-gnu/lightdm/lightdm-guest-session//chromium" pid=261 comm="apparmor_parser"
[    3.443553] audit: type=1400 audit(1635450333.351:8): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/bin/man" pid=266 comm="apparmor_parser"
[    3.443558] audit: type=1400 audit(1635450333.355:9): apparmor="STATUS" operation="profile_load" profile="unconfined" name="man_filter" pid=266 comm="apparmor_parser"
[    3.443560] audit: type=1400 audit(1635450333.355:10): apparmor="STATUS" operation="profile_load" profile="unconfined" name="man_groff" pid=266 comm="apparmor_parser"
[    3.554271] ACPI: AC Adapter [AC] (on-line)
[    3.610989] vboxguest: loading out-of-tree module taints kernel.
[    3.623560] vboxguest: module verification failed: signature and/or required key missing - tainting kernel
[    3.635027] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    3.635136] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    3.649010] vgdrvHeartbeatInit: Setting up heartbeat to trigger every 2000 milliseconds
[    3.649173] input: Unspecified device as /devices/pci0000:00/0000:00:04.0/input/input7
[    3.652046] vboxguest: Successfully loaded version 6.1.26 r145957
[    3.652094] vboxguest: misc device minor 61, IRQ 20, I/O port d040, MMIO at 00000000f0400000 (size 0x400000)
[    3.652096] vboxguest: Successfully loaded version 6.1.26 r145957 (interface 0x00010004)
[    3.666158] input: PC Speaker as /devices/platform/pcspkr/input/input8
[    3.781838] RAPL PMU: API unit is 2^-32 Joules, 0 fixed counters, 10737418240 ms ovfl timer
[    3.791510] cryptd: max_cpu_qlen set to 1000
[    3.826888] intel_pmc_core intel_pmc_core.0:  initialized
[    3.895503] Adding 998396k swap on /dev/sda5.  Priority:-2 extents:1 across:998396k FS
[    3.974647] snd_intel8x0 0000:00:05.0: allow list rate for 1028:0177 is 48000
[    6.600113] e1000: enp0s3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[    6.600475] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s3: link becomes ready
[    9.383118] vboxvideo: loading version 6.1.26 r145957
[    9.453393] 19:45:39.369411 main     VBoxService 6.1.26 r145957 (verbosity: 0) linux.x86 (Jul 28 2021 18:27:12) release log
               19:45:39.369413 main     Log opened 2021-10-28T19:45:39.369408000Z
[    9.453441] 19:45:39.369507 main     OS Product: Linux
[    9.453474] 19:45:39.369545 main     OS Release: 5.10.0-9-686
[    9.453506] 19:45:39.369577 main     OS Version: #1 SMP Debian 5.10.70-1 (2021-09-30)
[    9.453555] 19:45:39.369608 main     Executable: /opt/VBoxGuestAdditions-6.1.26/sbin/VBoxService
               19:45:39.369609 main     Process ID: 909
               19:45:39.369609 main     Package type: LINUX_32BITS_GENERIC
[    9.454461] 19:45:39.370524 main     6.1.26 r145957 started. Verbose level = 0
[    9.459850] 19:45:39.375891 main     vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[    9.491078] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[    9.491111] vboxsf: Successfully loaded version 6.1.26 r145957
[    9.491141] vboxsf: Successfully loaded version 6.1.26 r145957 on 5.10.0-9-686 (LINUX_VERSION_CODE=0x50a46)
[    9.491924] 19:45:39.407981 automount vbsvcAutomounterMountIt: Successfully mounted 'share' on '/media/sf_share'
[   26.497929] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   31.511663] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   36.551254] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   41.551596] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   46.551642] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   51.551667] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   56.551975] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   61.551695] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   66.553797] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   71.553699] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   76.553802] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   81.574958] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   86.596230] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   91.615967] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[   96.623940] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  101.635841] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  106.659178] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  111.667865] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  116.678955] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  121.688803] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  126.697809] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  131.703300] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  136.710363] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  139.518531] ISO 9660 Extensions: Microsoft Joliet Level 3
[  139.518943] ISO 9660 Extensions: RRIP_1991A
[  141.763248] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  146.906449] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  151.914101] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  156.928331] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  161.935065] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  166.942292] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  171.949263] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  176.956117] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  181.963046] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  186.971054] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  191.980076] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  195.447212] 19:48:47.186000 control  Guest control service stopped
[  195.448170] 19:48:47.186997 control  Guest control worker returned with rc=VINF_TRY_AGAIN
[  195.448756] 19:48:47.187584 main     Session 0 is about to close ...
[  195.448792] 19:48:47.187628 main     Stopping all guest processes ...
[  195.448824] 19:48:47.187663 main     Closing all guest files ...
[  195.450068] 19:48:47.188890 main     Ended.
[  196.989475] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  201.996653] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  207.001579] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  212.012045] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  217.014624] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  267.044907] 19:49:58.784513 main     VBoxService 6.1.28 r147628 (verbosity: 0) linux.x86 (Oct 18 2021 20:12:21) release log
               19:49:58.784515 main     Log opened 2021-10-28T19:49:58.784509000Z
[  267.044956] 19:49:58.784612 main     OS Product: Linux
[  267.044988] 19:49:58.784649 main     OS Release: 5.10.0-9-686
[  267.045066] 19:49:58.784724 main     OS Version: #1 SMP Debian 5.10.70-1 (2021-09-30)
[  267.045115] 19:49:58.784759 main     Executable: /opt/VBoxGuestAdditions-6.1.28/sbin/VBoxService
               19:49:58.784760 main     Process ID: 16357
               19:49:58.784761 main     Package type: LINUX_32BITS_GENERIC
[  267.046011] 19:49:58.785661 main     6.1.28 r147628 started. Verbose level = 0
[  267.047402] 19:49:58.787040 main     vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[  267.060405] 19:49:58.800031 automount vbsvcAutomounterMountIt: Successfully mounted 'share' on '/media/sf_share'
root@beaky:~# 

No more entries after that. However, after the next reboot they re-appeared.

comment:13 Changed 5 weeks ago by ah08

The problem also exists on virtual maschines running Debian 10 on the same physical host:

root@hokey:~# uname -a
Linux hokey 4.19.0-18-686 #1 SMP Debian 4.19.208-1 (2021-09-29) i686 GNU/Linux

but on on systems running Debian 9:

root@dobby:~# uname -a
Linux dobby 4.9.0-16-686 #1 SMP Debian 4.9.272-2 (2021-07-19) i686 GNU/Linux

Maybe that helps as well.

comment:14 Changed 5 weeks ago by galitsyn

Hi ah08,

Could you please attach list of processes when problem occurs? Could you also please confirm that you do not have Guest Additions package from your distribution installed in parallel?

comment:15 Changed 5 weeks ago by ah08

Hi galitsyn,

thanks for looking into this. Here is the current list of running processes. This list has obviously not been taken at the same time as the other logs, but all logs have been taken immediatly after rebbot, so it should be pretty much the same:

root@beaky:~# ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
root         1     0  1 13:23 ?        00:00:02 /sbin/init
root         2     0  0 13:23 ?        00:00:00 [kthreadd]
root         3     2  0 13:23 ?        00:00:00 [rcu_gp]
root         4     2  0 13:23 ?        00:00:00 [rcu_par_gp]
root         5     2  0 13:23 ?        00:00:00 [kworker/0:0-cgroup_destroy]
root         6     2  0 13:23 ?        00:00:00 [kworker/0:0H-events_highpri]
root         7     2  0 13:23 ?        00:00:00 [kworker/u4:0-ext4-rsv-conversion]
root         8     2  0 13:23 ?        00:00:00 [mm_percpu_wq]
root         9     2  0 13:23 ?        00:00:00 [rcu_tasks_rude_]
root        10     2  0 13:23 ?        00:00:00 [rcu_tasks_trace]
root        11     2  0 13:23 ?        00:00:00 [ksoftirqd/0]
root        12     2  0 13:23 ?        00:00:00 [rcu_sched]
root        13     2  0 13:23 ?        00:00:00 [migration/0]
root        14     2  0 13:23 ?        00:00:00 [kworker/0:1-cgroup_destroy]
root        15     2  0 13:23 ?        00:00:00 [cpuhp/0]
root        16     2  0 13:23 ?        00:00:00 [cpuhp/1]
root        17     2  0 13:23 ?        00:00:00 [migration/1]
root        18     2  0 13:23 ?        00:00:00 [ksoftirqd/1]
root        19     2  0 13:23 ?        00:00:00 [kworker/1:0-events]
root        20     2  0 13:23 ?        00:00:00 [kworker/1:0H-events_highpri]
root        21     2  0 13:23 ?        00:00:00 [kdevtmpfs]
root        22     2  0 13:23 ?        00:00:00 [netns]
root        23     2  0 13:23 ?        00:00:00 [kauditd]
root        24     2  0 13:23 ?        00:00:00 [khungtaskd]
root        25     2  0 13:23 ?        00:00:00 [oom_reaper]
root        26     2  0 13:23 ?        00:00:00 [writeback]
root        27     2  0 13:23 ?        00:00:00 [kcompactd0]
root        28     2  0 13:23 ?        00:00:00 [ksmd]
root        29     2  0 13:23 ?        00:00:00 [khugepaged]
root        31     2  0 13:23 ?        00:00:00 [kworker/1:1-events]
root        48     2  0 13:23 ?        00:00:00 [kintegrityd]
root        49     2  0 13:23 ?        00:00:00 [kblockd]
root        50     2  0 13:23 ?        00:00:00 [blkcg_punt_bio]
root        51     2  0 13:23 ?        00:00:00 [edac-poller]
root        52     2  0 13:23 ?        00:00:00 [devfreq_wq]
root        53     2  0 13:23 ?        00:00:00 [kworker/0:1H-kblockd]
root        55     2  0 13:23 ?        00:00:00 [kswapd0]
root        56     2  0 13:23 ?        00:00:00 [kthrotld]
root        57     2  0 13:23 ?        00:00:00 [acpi_thermal_pm]
root        58     2  0 13:23 ?        00:00:00 [ipv6_addrconf]
root        59     2  0 13:23 ?        00:00:00 [kworker/1:1H-kblockd]
root        60     2  0 13:23 ?        00:00:00 [kworker/u4:1-ext4-rsv-conversion]
root        69     2  0 13:23 ?        00:00:00 [kstrp]
root        72     2  0 13:23 ?        00:00:00 [zswap-shrink]
root        73     2  0 13:23 ?        00:00:00 [kworker/u5:0]
root       107     2  0 13:23 ?        00:00:00 [kworker/0:2-events]
root       109     2  0 13:23 ?        00:00:00 [ata_sff]
root       110     2  0 13:23 ?        00:00:00 [scsi_eh_0]
root       112     2  0 13:23 ?        00:00:00 [scsi_eh_1]
root       113     2  0 13:23 ?        00:00:00 [scsi_tmf_0]
root       114     2  0 13:23 ?        00:00:00 [scsi_eh_2]
root       115     2  0 13:23 ?        00:00:00 [scsi_tmf_1]
root       116     2  0 13:23 ?        00:00:00 [scsi_tmf_2]
root       117     2  0 13:23 ?        00:00:00 [kworker/1:2-events]
root       118     2  0 13:23 ?        00:00:00 [kworker/u4:2-ext4-rsv-conversion]
root       119     2  0 13:23 ?        00:00:00 [kworker/u4:3-flush-8:0]
root       120     2  0 13:23 ?        00:00:00 [irq/18-vmwgfx]
root       121     2  0 13:23 ?        00:00:00 [ttm_swap]
root       122     2  0 13:23 ?        00:00:00 [card0-crtc0]
root       123     2  0 13:23 ?        00:00:00 [card0-crtc1]
root       124     2  0 13:23 ?        00:00:00 [card0-crtc2]
root       125     2  0 13:23 ?        00:00:00 [card0-crtc3]
root       126     2  0 13:23 ?        00:00:00 [card0-crtc4]
root       127     2  0 13:23 ?        00:00:00 [card0-crtc5]
root       128     2  0 13:23 ?        00:00:00 [card0-crtc6]
root       129     2  0 13:23 ?        00:00:00 [card0-crtc7]
root       130     2  0 13:23 ?        00:00:00 [kworker/1:3-ata_sff]
root       170     2  0 13:23 ?        00:00:00 [jbd2/sda1-8]
root       171     2  0 13:23 ?        00:00:00 [ext4-rsv-conver]
root       208     1  0 13:23 ?        00:00:00 /lib/systemd/systemd-journald
root       218     2  0 13:23 ?        00:00:00 [kworker/0:3-cgroup_destroy]
root       233     1  0 13:23 ?        00:00:00 /lib/systemd/systemd-udevd
root       269     2  0 13:23 ?        00:00:00 [iprt-VBoxWQueue]
root       298     2  0 13:23 ?        00:00:00 [cryptd]
root       375     1  0 13:23 ?        00:00:00 /usr/sbin/anacron -d -q -s
avahi      376     1  0 13:23 ?        00:00:00 avahi-daemon: running [beaky.local]
root       380     1  0 13:23 ?        00:00:00 /usr/sbin/cron -f
message+   382     1  0 13:23 ?        00:00:00 /usr/bin/dbus-daemon --system --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only
root       385     1  0 13:23 ?        00:00:00 /usr/sbin/NetworkManager --no-daemon
root       391     1  0 13:23 ?        00:00:00 /usr/libexec/polkitd --no-debug
root       392     1  0 13:23 ?        00:00:00 /usr/sbin/rsyslogd -n -iNONE
root       395     1  0 13:23 ?        00:00:00 /lib/systemd/systemd-logind
root       396     1  0 13:23 ?        00:00:00 /usr/libexec/udisks2/udisksd
root       399     1  0 13:23 ?        00:00:00 /sbin/wpa_supplicant -u -s -O /run/wpa_supplicant
avahi      408   376  0 13:23 ?        00:00:00 avahi-daemon: chroot helper
root       419     1  0 13:23 ?        00:00:00 /usr/sbin/ModemManager
root       425     1  0 13:23 ?        00:00:00 /usr/sbin/cupsd -l
root       433     1  0 13:23 ?        00:00:00 /usr/bin/python3 /usr/share/unattended-upgrades/unattended-upgrade-shutdown --wait-for-signal
root       441     2  0 13:23 ?        00:00:00 [kworker/u4:4-events_unbound]
ntp        454     1  0 13:23 ?        00:00:00 /usr/sbin/ntpd -p /var/run/ntpd.pid -g -u 116:124
colord     460     1  0 13:23 ?        00:00:00 /usr/libexec/colord
root       462     1  0 13:23 ?        00:00:00 sshd: /usr/sbin/sshd -D [listener] 0 of 10-100 startups
root       469     1  0 13:23 ?        00:00:00 /usr/sbin/apache2 -k start
www-data   470   469  0 13:23 ?        00:00:00 /usr/sbin/apache2 -k start
www-data   471   469  0 13:23 ?        00:00:00 /usr/sbin/apache2 -k start
root       531     2  0 13:23 ?        00:00:00 [kworker/1:4-events]
root       558     1  0 13:23 ?        00:00:00 /usr/sbin/inetd
root       565     1  0 13:23 ?        00:00:00 /usr/sbin/cups-browsed
Debian-+   836     1  0 13:23 ?        00:00:00 /usr/sbin/exim4 -bd -q30m
root       898     1  0 13:24 ?        00:00:00 /usr/sbin/lightdm
root       916     1  0 13:24 ?        00:00:00 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
root       926   898  1 13:24 tty7     00:00:01 /usr/lib/xorg/Xorg :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
root       927     1  0 13:24 tty1     00:00:00 /sbin/agetty -o -p -- \u --noclear tty1 linux
rtkit      979     1  0 13:24 ?        00:00:00 /usr/libexec/rtkit-daemon
root      1026   898  0 13:25 ?        00:00:00 lightdm --session-child 14 23
ah08user  1031     1  0 13:25 ?        00:00:00 /lib/systemd/systemd --user
ah08user  1032  1031  0 13:25 ?        00:00:00 (sd-pam)
ah08user  1052  1031  0 13:25 ?        00:00:00 /usr/bin/pipewire
ah08user  1053  1031  0 13:25 ?        00:00:00 /usr/bin/pulseaudio --daemonize=no --log-target=journal
ah08user  1055  1031  0 13:25 ?        00:00:00 /usr/bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only
ah08user  1057  1052  0 13:25 ?        00:00:00 /usr/bin/pipewire-media-session
ah08user  1060     1  0 13:25 ?        00:00:00 /usr/bin/gnome-keyring-daemon --daemonize --login
ah08user  1063  1026  1 13:25 ?        00:00:00 xfce4-session
ah08user  1111     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1113  1111  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1119     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --checkhostversion
ah08user  1120  1119  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --checkhostversion
ah08user  1123     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1125  1123  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1128     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1129  1128  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1135     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
root      1136  1135  0 13:25 ?        00:00:00 [VBoxDRMClient]
ah08user  1152  1031  0 13:25 ?        00:00:00 /usr/libexec/at-spi-bus-launcher
ah08user  1157  1152  0 13:25 ?        00:00:00 /usr/bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
ah08user  1161  1031  0 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/xfconf/xfconfd
ah08user  1167  1031  0 13:25 ?        00:00:00 /usr/libexec/at-spi2-registryd --use-gnome-session
ah08user  1173     1  0 13:25 ?        00:00:00 /usr/bin/ssh-agent -s
ah08user  1180  1031  0 13:25 ?        00:00:00 /usr/bin/gpg-agent --supervised
ah08user  1182  1063  2 13:25 ?        00:00:00 xfwm4 --display :0.0 --sm-client-id 221d165e9-1cda-4501-93a4-6e5ef6f0af16
ah08user  1185  1031  0 13:25 ?        00:00:00 /usr/libexec/gvfsd
ah08user  1199  1063  0 13:25 ?        00:00:00 xfsettingsd --display :0.0 --sm-client-id 26c71be51-422f-4a8b-a744-0c7e19f12c84
root      1202     1  0 13:25 ?        00:00:00 /usr/libexec/upowerd
ah08user  1211  1063  5 13:25 ?        00:00:01 xfce4-panel --display :0.0 --sm-client-id 275b5b073-0f1d-4d7d-b2cd-7caa3d6f1c92
ah08user  1215  1063  0 13:25 ?        00:00:00 Thunar --sm-client-id 27065848e-5bf3-461e-aa48-20525f367790 --daemon
ah08user  1220  1063  3 13:25 ?        00:00:00 xfdesktop --display :0.0 --sm-client-id 2839ecc55-bb47-4025-9172-a32674431163
ah08user  1224  1063  0 13:25 ?        00:00:00 xfce4-power-manager --restart --sm-client-id 200cab68e-3384-4ea9-85a3-f02d2ea50647
ah08user  1226  1031  0 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/tumbler-1/tumblerd
ah08user  1231  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libplaces.so 19 23068679 places Orte Auf Ordner, Dokumente und entfernbare Medien zugreifen
ah08user  1232  1031  0 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/notifyd/xfce4-notifyd
ah08user  1240  1063  1 13:25 ?        00:00:00 /usr/bin/python3 /usr/share/system-config-printer/applet.py
ah08user  1242  1063  0 13:25 ?        00:00:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
ah08user  1244  1063  2 13:25 ?        00:00:00 /usr/bin/python3 /usr/bin/hp-systray -x
ah08user  1247  1063  1 13:25 ?        00:00:00 nm-applet
ah08user  1253  1063  0 13:25 ?        00:00:00 xiccd
ah08user  1301     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
ah08user  1308  1244  0 13:25 ?        00:00:00 /usr/bin/python3 /usr/bin/hp-systray -x
ah08user  1309  1308  0 13:25 ?        00:00:00 /usr/bin/python3 /usr/bin/hp-systray -x
ah08user  1312  1031  0 13:25 ?        00:00:00 /usr/libexec/gvfs-udisks2-volume-monitor
ah08user  1316  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libsystray.so 6 23068681 systray Status Tray-Erweiterung Bietet Elemente für Statusbenachrichtige
ah08user  1317  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libxfce4powermanager.so 9 23068682 power-manager-plugin Energieverwaltungserweiterung Den Akkulad
ah08user  1318  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libnotification-plugin.so 10 23068683 notification-plugin Benachrichtigungserweiterung Benachrich
ah08user  1323  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libdatetime.so 21 23068684 datetime Datum und Uhrzeit Eine Erweiterung für die Leiste, die Datum 
ah08user  1324  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libcpugraph.so 22 23068685 cpugraph CPU-Diagramm Grafische Darstellung der CPU-Last
ah08user  1325  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libfsguard.so 23 23068686 fsguard Speicherplatzprüfung Freien Festplattenplatz überwachen
ah08user  1326  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libpulseaudio-plugin.so 8 23068687 pulseaudio PulseAudio-Modul Die Lautstärke des PulseAudio-Klan
ah08user  1327  1211  1 13:25 ?        00:00:00 /usr/lib/i386-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/i386-linux-gnu/xfce4/panel/plugins/libactions.so 14 23068688 actions Aktionsknöpfe Abmelden, sperren oder andere Systemaktionen
ah08user  1354  1185  0 13:25 ?        00:00:00 /usr/libexec/gvfsd-trash --spawner :1.15 /org/gtk/gvfs/exec_spaw/0
ah08user  1359  1031  0 13:25 ?        00:00:00 /usr/libexec/gvfsd-metadata
ah08user  1365  1211  3 13:25 ?        00:00:00 konsole
ah08user  1378  1365  0 13:25 pts/0    00:00:00 /bin/bash
root      1389  1378  0 13:25 pts/0    00:00:00 su - root
root      1390  1389  0 13:25 pts/0    00:00:00 -bash
root      1401  1390  0 13:25 pts/0    00:00:00 ps -ef
root@beaky:~# 

comment:16 Changed 5 weeks ago by ah08

I'm not aware of any Guest Additions package from the distribution installed on the system. I'm sure I installed only the one that comes with VirtualBox and I couldn't find a trace of anything else:

root@beaky:~# dpkg -l * | grep -e vbox -e virtualbox
un  virtualbox-guest-modules                     <none>                          <none>       (no description available)

root@beaky:~# dpkg -s virtualbox-guest-modules
dpkg-query: package 'virtualbox-guest-modules' is not installed and no information is available
Use dpkg --info (= dpkg-deb --info) to examine archive files.
root@beaky:~# 

So, the one package looking most promising is not installed for sure. I'm not sure if this is all I need to search for, though.

Last edited 5 weeks ago by ah08 (previous) (diff)

comment:17 Changed 5 weeks ago by galitsyn

Hi ah08,

Thank you for attaching additional information. Process list and dpkg indicates that you likely have some leftovers from distribution Guest Additions package installation. I recommend to purge virtualbox-guest-modules package and then either reconfigure or reinstall official Additions.

The reason why you still see VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES message in logs is that the system is running both /usr/bin/VBoxClient --vmsvga and VBoxDRMClient in parallel. This should be gone after distribution package will be purged and official Additions reinstalled (or reconfigured):

ah08user  1135     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
root      1136  1135  0 13:25 ?        00:00:00 [VBoxDRMClient]
...
ah08user  1301     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga

comment:18 Changed 5 weeks ago by galitsyn

Hi ah08,

One more thing pops up in my mind. Could you please check if VM has /VirtualBox/GuestAdd/DRMResize guest property set?

comment:19 Changed 5 weeks ago by ah08

Hi galitsyn,

I think I found the problem and a workaround, and I don't think it has anything to do with the Debian package, which, as far as I can tell, has never been installed on (any of) my system(s). To make a long story short, there seem to be two start-up files, starting this processes (or rather, two places from where the script is called):

root@beaky:~# find /etc -type f -exec grep -H VBoxClient {} \;
/etc/X11/Xsession.d/98vboxadd-xclient:# directory VBoxClient will fail to start.
/etc/X11/Xsession.d/98vboxadd-xclient:   notify-send "VBoxClient: the VirtualBox kernel service is not running.  Exiting." &
/etc/X11/Xsession.d/98vboxadd-xclient:   # what we had in mind, so we do not start VBoxClient in that case.  We do
/etc/X11/Xsession.d/98vboxadd-xclient:  /usr/bin/VBoxClient --clipboard
/etc/X11/Xsession.d/98vboxadd-xclient:  /usr/bin/VBoxClient --checkhostversion
/etc/X11/Xsession.d/98vboxadd-xclient:  /usr/bin/VBoxClient --seamless
/etc/X11/Xsession.d/98vboxadd-xclient:  /usr/bin/VBoxClient --draganddrop
/etc/X11/Xsession.d/98vboxadd-xclient:  /usr/bin/VBoxClient --vmsvga  # In case VMSVGA emulation is enabled
/etc/xdg/autostart/vboxclient.desktop:Exec=/usr/bin/VBoxClient-all

root@beaky:~# cat /etc/X11/Xsession.d/98vboxadd-xclient
#!/bin/sh
## @file
# Start the Guest Additions X11 Client
#

#
# Copyright (C) 2007-2020 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

# Sanity check: if non-writeable PID-files are present in the user home
# directory VBoxClient will fail to start.
for i in $HOME/.vboxclient-*.pid; do
    test -w $i || rm -f $i
done

if ! test -c /dev/vboxguest 2>/dev/null; then
   # Do not start if the kernel module is not present.
   # Execute notify-send in the back-ground to avoid racing with sddm,
   # as notify-send may wait for sddm to start while it waits for us to exit.
   notify-send "VBoxClient: the VirtualBox kernel service is not running.  Exiting." &
elif test -z "${SSH_CONNECTION}"; then
   # This script can also be triggered by a connection over SSH, which is not
   # what we had in mind, so we do not start VBoxClient in that case.  We do
   # not use "exit" here as this script is "source"d, not executed.
  /usr/bin/VBoxClient --clipboard
  /usr/bin/VBoxClient --checkhostversion
  /usr/bin/VBoxClient --seamless
  /usr/bin/VBoxClient --draganddrop
  /usr/bin/VBoxClient --vmsvga  # In case VMSVGA emulation is enabled
fi

root@beaky:~# cat /etc/xdg/autostart/vboxclient.desktop
[Desktop Entry]
Type=Application
Encoding=UTF-8
Version=1.0
Name=vboxclient
Name[C]=vboxclient
Comment[C]=VirtualBox User Session Services
Comment=VirtualBox User Session Services
Comment[it]=Servizi di sessione utente di VirtualBox
Comment[pl]=Usługi sesji użytkownika VirtualBox
Exec=/usr/bin/VBoxClient-all
X-GNOME-Autostart-enabled=true
X-KDE-autostart-after=panel

root@beaky:~# ll /usr/bin/VBoxClient-all
lrwxrwxrwx 1 root root 54  3. Nov 00:46 /usr/bin/VBoxClient-all -> /opt/VBoxGuestAdditions-6.1.28/other/98vboxadd-xclient

root@beaky:~# 

The later one can be disabled by the auto-start options of the desktop environment (Settings -> Session and Startup -> Application Autostart -> vboxclient (VirtualBox User Session Services). That solved the problem (after restart):

root@beaky:~# !ps
ps -ef | grep -i vbox
root       284     2  0 12:02 ?        00:00:00 [iprt-VBoxWQueue]
root       915     1  0 12:02 ?        00:00:00 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
ah08user  1107     1  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1109  1107  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1112     1  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --checkhostversion
ah08user  1114  1112  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --checkhostversion
ah08user  1120     1  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1121  1120  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1126     1  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1129  1126  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1131     1  0 12:02 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
root      1132  1131  0 12:02 ?        00:00:00 [VBoxDRMClient]
root      1365  1352  0 12:02 pts/0    00:00:00 grep -i vbox
root@beaky:~# 

That leaves the question, why there are two start-up scripts that don't synchronise with each other? Both definitely came with the official guest addition, since both were gone after removing it:

root@beaky:~# ll /etc/xdg/autostart/vboxclient.desktop
-rw-r--r-- 1 root root 371  3. Nov 00:23 /etc/xdg/autostart/vboxclient.desktop

root@beaky:~# ll /etc/X11/Xsession.d/98vboxadd-xclient
-rw-r--r-- 1 root root 1590  3. Nov 00:23 /etc/X11/Xsession.d/98vboxadd-xclient

root@beaky:~# /opt/VBoxGuestAdditions-6.1.28/uninstall.sh
Removing installed version 6.1.28 of VirtualBox Guest Additions...
update-initramfs: Generating /boot/initrd.img-5.10.0-9-686

root@beaky:~# ll /etc/xdg/autostart/vboxclient.desktop
ls: cannot access '/etc/xdg/autostart/vboxclient.desktop': No such file or directory

root@beaky:~# ll /etc/X11/Xsession.d/98vboxadd-xclient
ls: cannot access '/etc/X11/Xsession.d/98vboxadd-xclient': No such file or directoryroot@beaky:~#

Even scarier is the fact, that none of the scripts can be removed or emptied or in any other way disabled (apart from the option in the desktop settings described above). They are recreated after reboot, which is a very strange behaviour for files under /etc.

comment:20 Changed 5 weeks ago by galitsyn

  • Summary changed from VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138 to VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138 => Fixed in SVN

Hi ah08,

Thank you for detailed information. I noticed that you were running 32-bit Linux guest. In this case, when VM is configured with VMSVGA graphics adapter, Linux Additions do not use VBoxClient --vmsvga itself for guest screen resizing, but VBoxDRMClient instead. This is why it was running.

On Additions installation, installer attempts to detect all known (to us) installed Desktop Environments and places either startup script or vboxclient.desktop file into the corresponding directory (to each one). So, VBoxClient will be started when user performs log-in into corresponding DE. In fact, Desktop Environment (Xfce4 in this case) can trigger Additions startup script execution from multiple places. In order to prevent this, VBoxClient attempts to check if its another instance is already running when starting. And, if so, it silently terminates. This part was not correctly working for a case when VBoxClient was triggering VBoxDRMClient execution. This should now be fixed in the following test build. Could you please give it a try?

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.29-148048.iso

comment:21 Changed 4 weeks ago by ah08

Hi galitsyn,

thanks for that fix, it works for me; at least in the sense that no multiple processes are started any more regardless of the desktop settings:

root@beaky:~# ps -ef | grep -i vbox
root       274     2  0 22:12 ?        00:00:00 [iprt-VBoxWQueue]
root       917     1  0 22:12 ?        00:00:01 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
ah08user  1111     1  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1113  1111  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1124     1  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1125  1124  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1130     1  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1132  1130  0 22:12 ?        00:00:10 /usr/bin/VBoxClient --draganddrop
ah08user  1138     1  0 22:12 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
root      1139  1138  0 22:12 ?        00:00:00 [VBoxDRMClient]
root      1560  1386  0 23:15 pts/0    00:00:00 grep -i vbox
root@beaky:~# 

(Just for the record, it wasn't VboxDRMClient causing the problems, it where the two /usr/bin/VBoxClient –vmsvga processes running.

ah08user  1135     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga 
root      1136  1135  0 13:25 ?        00:00:00 [VBoxDRMClient] 
... 
ah08user  1301     1  0 13:25 ?        00:00:00 /usr/bin/VBoxClient --vmsvga

Killing one of them (the one not being parent of VboxDRMClient) also made the messages in dmesg go away while everything else was still working fine.)

However, I still find it rather disturbing, that the vboxclient can be switched off in the desktop settings and is still being started from somewhere else. That can be very confusing to user, to say the very least. Wouldn't it be better to remove that option (i.e. the vboxclient.desktop file) entirely, if it doesn't have any effect whatsoever? Or even better, to make that the only place to start the client and so preserving the choice for the user? I mean, it's certainly a good thing that the VboxClient can handle the launch of multiple instanced gracefully now, but isn't the real problem the existence of multiple launch points in the first place? Can't that be changed in the installation procedure? It would definitely be better to eliminate the root cause of the problem, rather then a smart way to deal with the consequences. (I don't think this is an Xfce4 specific problem since the other users reporting this problem were running different environments.)

By the way, apart from the latest Debian release (Debian 11, kernel package 5.10.0-9-686) I also tested the fix on two previous Debian versions. On Debian 10 (kernel package 4.19.0-18-686), the fix worked as well. This release shows exactly the same behaviour including the same error before the fix as on Debian 11. With the fix, the error message is gone. On Debian 9 (kernel package 4.9.0-16-686) the fix had no effect. Here still two processes are created (with vboxclient enabled in the deskto settings), though no VboxDRMClient:

root@dobby:~# ps -ef | grep -i vbox
root       263     2  0 14:03 ?        00:00:00 [iprt-VBoxWQueue]
root       785     1  0 14:03 ?        00:00:00 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
ah08user  1258     1  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1260  1258  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --clipboard
ah08user  1270     1  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1272  1270  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --seamless
ah08user  1275     1  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1277  1275  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
ah08user  1282     1  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
ah08user  1461     1  0 14:36 ?        00:00:00 /usr/bin/VBoxClient --vmsvga
root      2220  2208  0 14:42 pts/0    00:00:00 grep -i vbox
root@dobby:~# 

On the other hand, there are no error messages created in dmesg, even with both processes running, so the problem never really showed up here and with the vboxclient switched off in the desktop settings the second process is gone anyway, so at least I can live with it.

Last edited 4 weeks ago by ah08 (previous) (diff)
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use